import { replaceAllWhitespaces } from "../../support/tech.util";
import { UserProfileE2EComponent } from "../user-profile/user-profile.component.e2e";

export class KommentarE2EComponent {
	readonly locatorHinzufuegenButton: string = 'create-kommentar';

	readonly locatorFormular: string = 'kommentar-formular';
	readonly locatorFormularSpeichernButton: string = 'add-button';
	readonly locatorFormularAbbrechenButton: string = 'cancel-button';
	readonly locatorKommentarList: string = 'kommentar-list-in-vorgang';

	readonly locatorTextInput: string = 'Kommentar-textarea-input';
	readonly locatorTextError: string = 'Kommentar-textarea-error';

	getFormular() {
		return cy.getTestElement(this.locatorFormular);
	}

	getHinzufuegenButton() {
		return cy.getTestElement(this.locatorHinzufuegenButton);
	}

	getFormularSpeichernButton() {
		return cy.getTestElement(this.locatorFormularSpeichernButton);
	}

	getFormularAbbrechenButton() {
		return cy.getTestElement(this.locatorFormularAbbrechenButton);
	}

	getKommentarList() {
		return cy.getTestElement(this.locatorKommentarList);
	}

	getTextInput() {
		return cy.getTestElement(this.locatorTextInput);
	}

	getTextError() {
		return cy.getTestElement(this.locatorTextError);
	}

	getKommentar(text: string) {
		return new KommentarE2E(text);
	}
}

class KommentarE2E {

	readonly locatorRoot: string;
	readonly locatorUserProfile: string = 'kommentar-list-item-user-profile';
	readonly locatorUserProfileName: string = 'user-profile-in-kommentar-name';
	readonly locatorUserProfileCreatedAt: string = 'user-profile-in-kommentar-created-at';

	private readonly userProfile: UserProfileE2EComponent = new UserProfileE2EComponent(this.locatorUserProfile);

	constructor(private root: string) {
		this.locatorRoot = replaceAllWhitespaces(this.root, '_');
	}

	getRoot() {
		return cy.getTestElement(this.locatorRoot);
	}

	getUserProfileIcon(): UserProfileE2EComponent {
		return this.userProfile;
	}

	getUserProfileName() {
		return cy.getTestElement(this.locatorUserProfileName);
	}

	getUserProfileCreatedAt() {
		return cy.getTestElement(this.locatorUserProfileCreatedAt);
	}
}