import { scrollToBottom } from '../../support/cypress.util';
import { SpinnerE2EComponent } from '../ui/spinner.e2e.component';
import { VorgangListItemE2EComponent } from './vorgang-item.e2e.component';

export class VorgangListE2EComponent {
	private readonly locator: string = 'vorgang-list';
	private readonly scrollArea: string = 'scroll-area';

	private readonly spinnerComponent: SpinnerE2EComponent;

	constructor () {
		this.spinnerComponent = new SpinnerE2EComponent();
	}

	public getRoot() {
		return cy.getTestElement(this.locator);
	}

	public getListItem(id: string): VorgangListItemE2EComponent {
		return new VorgangListItemE2EComponent(id)
	}

	public getSpinner() {
		return this.spinnerComponent.findSpinner(this.getRoot());
	}

	public scrollToBottom() {
		scrollToBottom(this.getScrollArea());
	}

	private getScrollArea() {
		return cy.getTestElement(this.scrollArea);
	}

	public waitForSpinnerToDisappear() {
		this.spinnerComponent.waitToDisappear(this.getRoot());
	}
}