export class WiedervorlageAttachmentListE2EComponent {

	constructor(private root: string) { }

	public getRoot() {
		return cy.getTestElement(this.root);
	}

	public getAttachment(fileName: string): AttachmentE2EItem {
		return new AttachmentE2EItem(fileName);
	}

	public getAttachments() {
		return this.getRoot().children();
	}
}

class AttachmentE2EItem {

	private deleteButton$: string = 'icon-button';
	private downloadButton$: string = 'file-download-button';

	constructor(private fileName: string) { }

	public getRoot() {
		return cy.getTestElement(this.fileName + '-file-item');
	}

	public delete(): void {
		this.getRoot().findTestElementWithClass(this.deleteButton$).click();
	}

	public download(): void {
		this.getRoot().findTestElementWithClass(this.downloadButton$).click();
	}
}