import { replaceAllWhitespaces } from '../../support/tech.util';
import { WiedervorlageAttachmentListE2EComponent } from './wiedervorlage-attachment-list.component';
import { StatusE2EComponent } from './wiedervorlage-status.e2e.component';

export class WiedervorlageInVorgangE2EComponent {
	private readonly status: StatusE2EComponent;

	private readonly locatorFrist: string = 'frist';
	private readonly locatorBetreff: string = 'betreff';
	private readonly locatorLink: string = 'link';
	private readonly locatorExpandButon: string = 'expand-button';
	private readonly locatorExpandable: string = 'expandable';
	private readonly locatorAttachmentList: string = 'wiedervorlage-attachment-list-in-vorgang';

	private attachmentList: WiedervorlageAttachmentListE2EComponent = new WiedervorlageAttachmentListE2EComponent(this.locatorAttachmentList);

	private formattedBetreff: string;

	constructor(private betreff: string) {
		this.formattedBetreff = replaceAllWhitespaces(this.betreff, '_');
		this.status = new StatusE2EComponent(this.formattedBetreff);
	}

	public getRoot() {
		return cy.getTestElement(this.formattedBetreff);
	}

	public getLink() {
		return this.getRoot().findTestElementWithClass(this.locatorLink);
	}

	public getFrist() {
		return this.getRoot().findTestElementWithClass(this.locatorFrist);
	}

	public getBetreff() {
		return this.getRoot().findTestElementWithClass(this.locatorBetreff);
	}

	public getExpandButton() {
		return this.getRoot().findTestElementWithClass(this.locatorExpandButon);
	}

	public getStatus(): StatusE2EComponent {
		return this.status;
	}

	public expandItem(): void {
		this.getExpandButton().click();
	}

	public getExpandable() {
		return this.getRoot().findTestElementWithClass(this.locatorExpandable);
	}

	public getAttachmentList(): WiedervorlageAttachmentListE2EComponent {
		return this.attachmentList;
	}
}