import { ButtonWithSpinnerE2EComponent } from '../ui/button-with-spinner.e2e.component';
import { WiedervorlageAttachmentsE2EComponent } from './wiedervorlage-attachments.e2e.component';

export class WiedervorlageE2EComponent {
	private readonly locatorBetreffInput: string = 'Betreff-text-input';
	private readonly locatorBeschreibungInput: string = 'Beschreibung-textarea-input';
	private readonly locatorFristInput: string = 'Frist-date-input';
	private readonly locatorBetreffError: string = 'Betreff-text-error';
	private readonly locatorDatumError: string = 'Frist-date-error';

	private readonly locatorStatusDot: string = 'dot';

	private readonly locatorSpeichernButton: string = 'speichern-button';
	private readonly buttonWithSpinnerComponent: ButtonWithSpinnerE2EComponent = new ButtonWithSpinnerE2EComponent();

	private readonly attachmentContainer: WiedervorlageAttachmentsE2EComponent = new WiedervorlageAttachmentsE2EComponent();

	public getBetreff() {
		return cy.getTestElement(this.locatorBetreffInput);
	}

	public getBetreffError() {
		return cy.getTestElement(this.locatorBetreffError);
	}

	public getBeschreibung() {
		return cy.getTestElement(this.locatorBeschreibungInput);
	}

	public getFrist() {
		return cy.getTestElement(this.locatorFristInput);
	}

	public getDatumError() {
		return cy.getTestElement(this.locatorDatumError);
	}

	public getStatusDot() {
		return cy.getTestElementWithClass(this.locatorStatusDot);
	}

	public getSpeichernButton() {
		return this.buttonWithSpinnerComponent.findButton(cy.getTestElement(this.locatorSpeichernButton));
	}

	public getAttachmentContainer(): WiedervorlageAttachmentsE2EComponent {
		return this.attachmentContainer;
	}
}