import { HeaderE2EComponent } from '../page-objects/header.po';
import { MainPage } from '../page-objects/main.po';
import { DatabaseUser, exist, haveText } from '../support/cypress.util';

describe('Login and Logout', () => {
	const mainPage: MainPage = new MainPage();
	const header: HeaderE2EComponent = mainPage.getHeader();

	let mainJson;
	let user;

	before(function () {
		cy.fixture('main.json').then(data => {
			mainJson = data;
		});

		cy.fixture(DatabaseUser.TEST).then(userData => {
			user = userData;
		})

		cy.logout();
	})

	it('login as test user', function () {
		cy.visit('')
			.get('#kc-login').should('exist')
			.get('#username').type(user.name)
			.get('#password').type(user.password)
			.get('#kc-login').click();
	})

	it('should display Goofy', function () {
		haveText(header.getTitle(), mainJson.title);
	})

	it('should logout', function () {
		header.logout();

		exist(cy.get('#kc-login'));
	})
});