import { DateE2E } from './util';
import { WiedervorlageE2E } from './wiedervorlage';

export class VorgangE2E {
	version: string;
	createdAt: DateE2E;
	name: string;
	status: string;
	aktenzeichen: string;
	wiedervorlages: WiedervorlageE2E[]
}

export enum VorgangStatusE2E {
	NEU = 'NEU',
	ANGENOMMEN = 'ANGENOMMEN',
	VERWORFEN = 'VERWORFEN',
	IN_BEARBEITUNG = 'IN_BEARBEITUNG',
	BESCHIEDEN = 'BESCHIEDEN',
	ABGESCHLOSSEN = 'ABGESCHLOSSEN',
	WEITERGELEITET = 'WEITERGELEITET'
}

export const vorgangStatusLabelE2E = {
	[VorgangStatusE2E.NEU]: 'Neu',
	[VorgangStatusE2E.ANGENOMMEN]: 'Angenommen',
	[VorgangStatusE2E.VERWORFEN]: 'Verworfen',
	[VorgangStatusE2E.IN_BEARBEITUNG]: 'In Bearbeitung',
	[VorgangStatusE2E.BESCHIEDEN]: 'Beschieden',
	[VorgangStatusE2E.ABGESCHLOSSEN]: 'Abgeschlossen',
	[VorgangStatusE2E.WEITERGELEITET]: 'Weitergeleitet',
}

export enum VorgangMessagesE2E {
	ANGENOMMEN = 'Der Vorgang wurde angenommen.',
	VERWORFEN = 'Der Vorgang wurde verworfen.',
	ZURUECKGEHOLT = 'Der Vorgang wurde zurückgeholt.',
	BEARBEITET = 'Der Vorgang wurde in die Bearbeitung übernommen.',
	BESCHIEDEN = 'Der Vorgang wurde beschieden.',
	ZURUECKGESTELLT = 'Der Vorgang wurde zurückgestellt.',
	ABGESCHLOSSEN = 'Der Vorgang wurde abgeschlossen.',
	WIEDEREROEFFNET = 'Der Vorgang wurde wiedereröffnet.'
}
