import { AnhangE2EComponent } from '../components/anhang/anhang-list.e2e.component';
import { KommentarE2EComponent } from '../components/kommentar/kommentar-list.e2e.component';
import { VorgangDetailHeaderE2EComponent } from '../components/vorgang/vorgang-detail-header.e2e.component';
import { VorgangFormularE2EComponent } from '../components/vorgang/vorgang-formular.e2e.component';
import { VorgangForwardingE2EComponent } from '../components/vorgang/vorgang-forward.e2e.component';
import { VorgangSubnavigationE2EComponent } from '../components/vorgang/vorgang-subnavigation';
import { WiedervorlagenInVorgangE2EComponent } from '../components/wiedervorlage/wiedervorlagen-in-vorgang.e2e.component';

export class VorgangPage {
	private readonly subnavigation: VorgangSubnavigationE2EComponent;
	private readonly vorgangDetailHeader: VorgangDetailHeaderE2EComponent;
	private readonly formularContainer: VorgangFormularE2EComponent;

	private readonly wiedervorlagen: WiedervorlagenInVorgangE2EComponent;
	private readonly forwardingContainer: VorgangForwardingE2EComponent;
	private readonly anhangContainer: AnhangE2EComponent;
	private readonly kommentarContainer: KommentarE2EComponent;

	private readonly locatorSpinner: string = 'spinner';
	private readonly locatorProgressBar: string = 'progress-bar';

	constructor() {
		this.subnavigation = new VorgangSubnavigationE2EComponent();
		this.vorgangDetailHeader = new VorgangDetailHeaderE2EComponent();
		this.formularContainer = new VorgangFormularE2EComponent();

		this.wiedervorlagen = new WiedervorlagenInVorgangE2EComponent();
		this.forwardingContainer = new VorgangForwardingE2EComponent();
		this.anhangContainer = new AnhangE2EComponent();
		this.kommentarContainer = new KommentarE2EComponent();
	}

	public getKommentarContainer(): KommentarE2EComponent {
		return this.kommentarContainer;
	}

	public getForwardingContainer(): VorgangForwardingE2EComponent {
		return this.forwardingContainer;
	}

	public getSubnavigation(): VorgangSubnavigationE2EComponent {
		return this.subnavigation;
	}

	public getFormularContainer(): VorgangFormularE2EComponent {
		return this.formularContainer;
	}

	public getAnhangContainer(): AnhangE2EComponent {
		return this.anhangContainer;
	}

	public getVorgangDetailHeader(): VorgangDetailHeaderE2EComponent {
		return this.vorgangDetailHeader;
	}

	public getWiedervorlagenContainer(): WiedervorlagenInVorgangE2EComponent {
		return this.wiedervorlagen;
	}

	public getProgressBar() {
		return cy.getTestElement(this.locatorProgressBar);
	}

	public waitForSpinnerToDisappear() {
		this.getSpinner().should('not.exist');
	}

	public getSpinner() {
		return cy.getTestElementWithClass(this.locatorSpinner);
	}
}
