export function containClass(element: any, cssClass: string): void {
	element.invoke('attr', 'class').should('contain', cssClass);
}

export function notContainClass(element: any, cssClass: string): void {
	element.invoke('attr', 'class').should('not.contain', cssClass);
}

export function exist(element: any): void {
	element.should('exist');
}

export function notExist(element: any): void {
	element.should('not.exist');
}

export function haveText(element: any, text: string): void {
	element.should('have.text', text);
}

export function haveValue(element: any, value: string): void {
	element.should('have.value', value);
}

export function mouseEnter(element: any): void {
	element.trigger('mouseenter');
}

export function mouseOver(element: any): void {
	element.trigger('mouseover');
}

export function contains(element: any, containing: string): void {
	element.should('exist').contains(containing);
}

export function scrollToBottom(element: any): void {
	element.scrollTo('bottom');
}

export function enterWith(element: any, value: any): void {
	element.clear().type(value + '{enter}')
}

export function haveLength(element: any, length: number) {
	return element.should('have.length', length);
}

export function fileDownloaded(fileName: string): void {
	exist(cy.readFile(`cypress/downloads/${fileName}`));
}

//TODO: "first()" rausnehmen -> im html eine entprechende data-test-id ansprechen?!
export function shouldFirstContains(element: any, containing: string) {
	element.first().should('exist').contains(containing);
}

export function shouldHaveAttributeBeGreaterThan(element: any, attributeName: string, value: number) {
	element.first().should('exist').invoke(attributeName).should('be.gt', value);
}

export function shouldHaveAttributeBeLowerThan(element: any, attributeName: string, value: number) {
	element.first().should('exist').invoke(attributeName).should('be.gt', value);
}
//

export enum MongoCollections {
	VORGANG = 'vorgang',
	COMMANDS = 'commands',
	BINARY_FILE = 'binaryFile'
}

export enum CypressTasks {
	INIT_DATA = 'initData',
	INIT_BINARY_FILE_DATA = 'initBinaryFileData',
	DROP_COLLECTION = 'dropCollection'
}

export enum DatabaseUser {
	BEATE = 'user_beate.json',
	TEST = 'user.json',
	TEST_EA = 'user_ea.json'
}

export enum DataCollections {
	ANHANG = 'anhang_collection.json',
	VORGANG = 'vorgang_collection.json',
	VORGANG_FORWARDING = 'vorgang_forward_collection.json',
	VORGANG_SEARCH = 'vorgang_search_collection.json',
	WIEDERVORLAGEN = 'wiedervorlage_collection.json',
	VORGANG_WIEDERVORLAGEN = 'vorgang_wiedervorlagen_collection.json',
	VORGANG_KOMMENTAR = 'vorgang_kommentar.json',
	VORGANG_USER_PROFILE = 'vorgang_user_profile.json',
	VORGANG_WIEDEREROEFFNEN = 'vorgang_wiedereroeffnen_collection.json',

	WIEDERVORLAGE_ATTACHMENT = 'wiedervorlage_attachment_singleton.json',
	BINARY_FILES = 'binary_file_test_data_collection.json'
}