import { Mock, mock, useFromMock } from '@goofy-client/test-utils';
import { HttpService } from '@ngxp/rest';
import { Environment } from 'libs/environment-shared/src/lib/environment.model';
import { createEnvironment } from 'libs/environment-shared/test/environment';
import { ApiRootRepository } from './api-root.repository';

var repository: ApiRootRepository;
var httpService: Mock<HttpService>;

const environment: Environment = createEnvironment();

beforeEach(() => {
	httpService = mock(HttpService);
	repository = new ApiRootRepository(useFromMock(httpService), environment);
})

describe('api root repository', () => {
	describe('loadApiRoot', () => {
		it('should call httpService', () => {
			repository.loadApiRoot();

			expect(httpService.get).toHaveBeenCalledWith(environment.remoteHost);
		})
	})
})
