import { Inject, Injectable } from '@angular/core';
import { HttpService } from '@ngxp/rest';
import { Observable } from 'rxjs';
import { ApiRootResource } from './api-root.model';
import { ENVIRONMENT_CONFIG } from '@goofy-client/environment-shared';
import { Environment } from 'libs/environment-shared/src/lib/environment.model';

@Injectable()
export class ApiRootRepository {

	constructor(
		private httpService: HttpService,
		@Inject(ENVIRONMENT_CONFIG) private environmentConfig: Environment
	) { }

	public loadApiRoot(): Observable<ApiRootResource> {
		return this.httpService.get(this.environmentConfig.remoteHost);
	}
}