import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { getUrl, Resource } from '@ngxp/rest';
import { Observable } from 'rxjs';

@Injectable({ providedIn: 'root' })
export class BinaryFileRepository {

	constructor(private httpClient: HttpClient) { }

	public uploadFile(resource: Resource, linkRel: string, file): Observable<any> {
		const formData: FormData = new FormData();

		formData.append('file', file, file.name);

		return this.httpClient.post(getUrl(resource, linkRel), formData, { observe: 'response' })
	}
}