import { Mock, mock, useFromMock } from '@goofy-client/test-utils';
import { Resource } from '@ngxp/rest';
import { DummyLinkRel } from 'libs/tech-shared/test/dummy';
import { createDummyResource } from 'libs/tech-shared/test/resource';
import { of } from 'rxjs';
import { BinaryFileRepository } from './binary-file.repository';
import { BinaryFileService } from './binary-file.service';

describe('BinaryFileService', () => {
	let service: BinaryFileService;

	let repository: Mock<BinaryFileRepository>

	beforeEach(() => {
		repository = mock(BinaryFileRepository);

		service = new BinaryFileService(useFromMock(repository));
	})

	it('should created', () => {
		expect(service).toBeTruthy();
	})

	describe('upload file', () => {

		const dummyResource: Resource = createDummyResource();
		const linkRel: string = DummyLinkRel.UPLOAD_FILE;

		const testFile: any = {};
		const returnFile: any = {};

		beforeEach(() => {
			repository.uploadFile.mockReturnValue(of(returnFile));
		})

		it('should call repository', () => {
			service.uploadFile(dummyResource, linkRel, testFile).subscribe();

			expect(repository.uploadFile).toHaveBeenCalledWith(dummyResource, linkRel, testFile);
		})
	})
})