import { HttpResponse } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Resource, ResourceUri } from '@ngxp/rest';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { BinaryFileRepository } from './binary-file.repository';

@Injectable({ providedIn: 'root' })
export class BinaryFileService {

	constructor(private repository: BinaryFileRepository) { }

	public uploadFile(resource: Resource, linkRel: string, file: File): Observable<ResourceUri> {
		return this.repository.uploadFile(resource, linkRel, file).pipe(map((response: HttpResponse<void>) => response.headers.get('Location')));
	}
}