import { createCommandResource } from 'libs/command-shared/test/command'
import { CommandLinkRel } from './command.linkrel'
import { isDone, isPending, isRevokeable } from './command.util'

describe('CommandUtil', () => {

	describe('isRevokeable', () => {
		it('should return true if Link exists', () => {
			const result = isRevokeable(createCommandResource([CommandLinkRel.REVOKE]))

			expect(result).toBe(true);
		})
		it('should return false if Link does NOT exists', () => {
			const result = isRevokeable(createCommandResource())

			expect(result).toBe(false);
		})
	})

	describe('isPending', () => {
		it('should return true if Link exists', () => {
			const result = isPending(createCommandResource([CommandLinkRel.UPDATE]))

			expect(result).toBe(true);
		})
		it('should return false if Link does NOT exists', () => {
			const result = isPending(createCommandResource())

			expect(result).toBe(false);
		})
	})

	describe('isDone', () => {
		it('should return true if Link exists', () => {
			const result = isDone(createCommandResource([CommandLinkRel.EFFECTED_RESOURCE]))

			expect(result).toBe(true);
		})
		it('should return false if Link does NOT exists', () => {
			const result = isDone(createCommandResource())

			expect(result).toBe(false);
		})
	})
})