import * as faker from 'faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { times } from 'lodash-es';
import { CommandListLinkRel } from '../src/lib/command.linkrel';
import { Command, CommandListResource, CommandResource, CommandStatus } from '../src/lib/command.model';

export function createCommand(): Command {
	return {
		createdAt: faker.date.past(),
		createdByName: faker.random.words(2),
		finishedAt: faker.date.past(),
		order: faker.random.word(),
		status: CommandStatus.FINISHED,
		errorMessage: faker.random.words(10)
	}
}

export function createCommandResource(linkRel: string[] = []): CommandResource {
	return toResource(createCommand(), linkRel);
}

export function createCommandResources(linkRelations: string[] = []): CommandResource[] {
	return times(10, () => toResource(createCommandResource(), [...linkRelations]));
}

export function createCommandListResource(commandResources: CommandResource[] = createCommandResources(), linkRelations: string[] = []): CommandListResource {
	return toResource({}, [...linkRelations], {
		[CommandListLinkRel.COMMAND_LIST]: commandResources
	});
}