import { InjectionToken } from '@angular/core';
import { getBaseUrl } from '@goofy-client/tech-shared';
import { Environment } from './environment.model';

export const ENVIRONMENT_CONFIG = new InjectionToken('environmentConfig');

export function getEnvironmentFactory(): Environment {
	return window['__env__'];
}

export async function loadEnvironment(url?: string): Promise<any> {
	const envUrl = url ? url : `${getBaseUrl()}api/environment`;
	const headers = new Headers({ 'X-Client': 'web' });

	return window.fetch(envUrl, { headers })
		.then(response => response.json())
		.then(env => {
			window['__env__'] = env;
			return env;
		});
}