import * as faker from 'faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { times } from 'lodash-es';
import { ForwardingListLinkRel } from '../src/lib/forwarding.linkrel';
import { Forwarding, ForwardingListResource, ForwardingResource } from '../src/lib/forwarding.model';

export function createForwarding(): Forwarding {
	return {
		errorMessage: faker.random.words(15),
		createdAt: faker.date.past(),
		sentAt: faker.date.past(),
		createdBy: faker.name.findName(),
		createdByName: faker.name.findName(),
		zustaendigeStelle: faker.random.words(5)
	}
}

export function createForwardingResource(linkRel: string[] = []): ForwardingResource {
	return toResource(createForwarding(), linkRel);
}

export function createForwardingResources(): ForwardingResource[] {
	return times(10, () => createForwardingResource());
}

export function createForwardingListResource(linkRel: string[] = []): ForwardingListResource {
	return toResource({}, [...linkRel], {
		[ForwardingListLinkRel.FORWARDING_LIST]: createForwardingResources()
	})
}