import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createEmptyStateResource, HasLinkPipe } from '@goofy-client/tech-shared';
import { SpinnerComponent } from '@goofy-client/ui';
import { VorgangWithEingangLinkRel } from '@goofy-client/vorgang-shared';
import { createVorgangWithEingangResource } from 'libs/vorgang-shared/test/vorgang';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { VorgangForwardFormComponent } from './vorgang-forward-form/vorgang-forward-form.component';
import { VorgangForwardFormularComponent } from './vorgang-forward-formular.component';

describe('VorgangForwardFormularComponent', () => {
	let component: VorgangForwardFormularComponent;
	let fixture: ComponentFixture<VorgangForwardFormularComponent>;

	const forwardFormular: string = '[data-test-id="forward-form"]';

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangForwardFormularComponent,
				HasLinkPipe,
				MockComponent(SpinnerComponent),
				MockComponent(VorgangForwardFormComponent)
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangForwardFormularComponent);
		component = fixture.componentInstance;
		component.pendingForwardCommand = createEmptyStateResource();
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('forward formular', () => {

		it('should show', () => {
			component.vorgang = createVorgangWithEingangResource([VorgangWithEingangLinkRel.FORWARD]);
			fixture.detectChanges();

			const element = fixture.nativeElement.querySelector(forwardFormular);

			expect(element).toBeInstanceOf(HTMLElement);
		})

		it('should not show', () => {
			component.vorgang = createVorgangWithEingangResource();
			fixture.detectChanges();

			const element = fixture.nativeElement.querySelector(forwardFormular);

			expect(element).not.toBeInstanceOf(HTMLElement);
		})
	})
});
