import { Component, EventEmitter, Input, Output } from '@angular/core';
import { CommandResource } from '@goofy-client/command-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { CommandLinkRel } from 'libs/command-shared/src/lib/command.linkrel';

@Component({
	selector: 'goofy-client-vorgang-forward-formular',
	templateUrl: './vorgang-forward-formular.component.html',
	styleUrls: ['./vorgang-forward-formular.component.scss']
})
export class VorgangForwardFormularComponent {

	@Input() public vorgang: VorgangWithEingangResource;
	@Input() public pendingForwardCommand: StateResource<CommandResource>;

	@Output('doSubmit') submit: EventEmitter<void> = new EventEmitter();

	readonly commandLinkRel = CommandLinkRel;
	readonly vorgangLinkRel = VorgangWithEingangLinkRel;
}