import { Component, Input } from '@angular/core';
import { CommandResource } from '@goofy-client/command-shared';
import { ForwardingLinkRel, ForwardingResource, ForwardingService } from '@goofy-client/forwarding-shared';
import { createEmptyStateResource, StateResource } from '@goofy-client/tech-shared';
import { Observable, of } from 'rxjs';

@Component({
	selector: 'goofy-client-vorgang-forward-zustellen-container',
	templateUrl: './vorgang-forward-zustellen-container.component.html',
	styleUrls: ['./vorgang-forward-zustellen-container.component.scss']
})
export class VorgangForwardZustellenContainerComponent {

	@Input() forwarding: ForwardingResource;

	public markAsCommandStateResource$: Observable<StateResource<CommandResource>> = of(createEmptyStateResource());

	readonly linkRel = ForwardingLinkRel;

	constructor(private forwardingService: ForwardingService) { }

	markAsSuccess(): void {
		this.markAsCommandStateResource$ = this.forwardingService.markAsSuccess(this.forwarding);
	}

	markAsFail(): void {
		this.markAsCommandStateResource$ = this.forwardingService.markAsFail(this.forwarding);
	}
}