import * as faker from 'faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { times } from 'lodash';
import { KommentarListLinkRel } from '../src/lib/kommentar.linkrel';
import { Kommentar, KommentarListResource, KommentarResource } from '../src/lib/kommentar.model';

export function createKommentar(): Kommentar {
	return {
		text: faker.random.words(10),
		createdAt: faker.date.past(),
		createdByName: faker.random.words(2)
	}
}

export function createKommentarResource(linkRel: string[] = []): KommentarResource {
	return toResource(createKommentar(), linkRel);
}

export function createKommentarResources(linkRel: string[] = []): KommentarResource[] {
	return times(10, () => createKommentarResource(linkRel));
}

export function createKommentarListResource(linkRel: string[] = []): KommentarListResource {
	return toResource({}, [...linkRel], {
		[KommentarListLinkRel.KOMMENTAR_LIST]: createKommentarResources()
	});
}