import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { KommentarService } from '@goofy-client/kommentar-shared';
import { mock } from '@goofy-client/test-utils';
import { ButtonWithSpinnerComponent, TextAreaEditorComponent } from '@goofy-client/ui';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { KommentarFormComponent } from './kommentar-form.component';
import { KommentarFormService } from './kommentar.formservice';

describe('KommentarFormComponent', () => {
	let component: KommentarFormComponent;
	let fixture: ComponentFixture<KommentarFormComponent>;

	const formService = mock(KommentarFormService);
	const service = mock(KommentarService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				KommentarFormComponent,
				MockComponent(TextAreaEditorComponent),
				MockComponent(ButtonWithSpinnerComponent)
			],
			imports: [
				MatFormFieldModule,
				ReactiveFormsModule,
				BrowserAnimationsModule
			],
			providers: [
				{
					provide: KommentarFormService,
					useValue: formService
				},
				{
					provide: KommentarService,
					useValue: service
				}
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(KommentarFormComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
