import { FormBuilder } from '@angular/forms';
import { KommentarResource, KommentarService } from '@goofy-client/kommentar-shared';
import { createEmptyStateResource } from '@goofy-client/tech-shared';
import { Mock, mock, useFromMock } from '@goofy-client/test-utils';
import { createKommentarResource } from 'libs/kommentar-shared/test/kommentar';
import { of } from 'rxjs';
import { KommentarFormService } from './kommentar.formservice';

describe('KommentarFormService', () => {
	let formService: KommentarFormService;
	let kommentarService: Mock<KommentarService>;

	const formBuilder: FormBuilder = new FormBuilder();

	beforeEach(() => {
		kommentarService = mock(KommentarService);

		formService = new KommentarFormService(formBuilder, useFromMock(kommentarService));
	})

	it('should create', () => {
		expect(formService).toBeTruthy();
	});

	describe('submit', () => {

		const kommentarResource: KommentarResource = createKommentarResource();

		beforeEach(() => {
			kommentarService.createKommentar.mockReturnValue(of(createEmptyStateResource()));
			kommentarService.editKommentar.mockReturnValue(of(createEmptyStateResource()));
		})

		it('should call createKommentar', () => {
			formService.source = null;

			formService.submit();

			expect(kommentarService.createKommentar).toHaveBeenCalled();
		})

		it('should call editKommentar', () => {
			formService.source = kommentarResource;

			formService.submit();

			expect(kommentarService.editKommentar).toHaveBeenCalled();
		})
	})
})