import { Injectable } from "@angular/core";
import { FormBuilder, FormControl, FormGroup } from "@angular/forms";
import { KommentarService } from "@goofy-client/kommentar-shared";
import { AbstractFormService, StateResource } from "@goofy-client/tech-shared";
import { Observable } from "rxjs";

@Injectable()
export class KommentarFormService extends AbstractFormService {

	static readonly TEXT = 'text';
	static readonly FIELD_PATH_PREFIX = 'command.kommentar';

	constructor(formBuilder: FormBuilder, private kommentarService: KommentarService) {
		super(formBuilder);
	}

	protected initForm(): FormGroup {
		return this.formBuilder.group({
			[KommentarFormService.TEXT]: new FormControl(null)
		})
	}

	protected doSubmit(): Observable<StateResource<any>> {
		if (this.isPatch()) {
			return this.kommentarService.editKommentar(this.getSourceValue(), this.getFormValue());
		} else {
			return this.kommentarService.createKommentar(this.getFormValue());
		}
	}

	protected getPathPrefix(): string {
		return KommentarFormService.FIELD_PATH_PREFIX;
	}
}