import { ComponentFixture, TestBed } from '@angular/core/testing';
import { KommentarService } from '@goofy-client/kommentar-shared';
import { mock } from '@goofy-client/test-utils';
import { ButtonWithSpinnerComponent, ExpansionPanelComponent } from '@goofy-client/ui';
import { MockComponent } from 'ng-mocks';
import { KommentarFormComponent } from './kommentar-form/kommentar-form.component';
import { KommentarListInVorgangContainerComponent } from './kommentar-list-in-vorgang-container.component';
import { KommentarListInVorgangComponent } from './kommentar-list-in-vorgang/kommentar-list-in-vorgang.component';

describe('KommentarListInVorgangContainerComponent', () => {
	let component: KommentarListInVorgangContainerComponent;
	let fixture: ComponentFixture<KommentarListInVorgangContainerComponent>;

	const kommentarService = mock(KommentarService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				KommentarListInVorgangContainerComponent,
				MockComponent(ExpansionPanelComponent),
				MockComponent(KommentarListInVorgangComponent),
				MockComponent(KommentarFormComponent),
				MockComponent(ButtonWithSpinnerComponent)
			],
			providers: [
				{
					provide: KommentarService,
					useValue: kommentarService
				}
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(KommentarListInVorgangContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('ng on changes', () => {

		it('should call kommentar service isFormularVisible', () => {
			component.ngOnChanges();

			expect(kommentarService.isFormularVisible).toHaveBeenCalled();
		})

		it('should call kommentar service getKommentareByVorgang', () => {
			component.ngOnChanges();

			expect(kommentarService.getKommentareByVorgang).toHaveBeenCalledWith(component.vorgang);
		})
	})

	describe('show formular', () => {

		it('should call kommentar service showFormular', () => {
			component.showFormular();

			expect(kommentarService.showFormular).toHaveBeenCalled();
		})
	})

	describe('hide formular', () => {

		it('should call kommentar service hideFormular', () => {
			component.hideFormular();

			expect(kommentarService.hideFormular).toHaveBeenCalled();
		})
	})
});
