import { Component, Input, OnChanges } from '@angular/core';
import { KommentarListResource, KommentarService } from '@goofy-client/kommentar-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-kommentar-list-in-vorgang-container',
	templateUrl: './kommentar-list-in-vorgang-container.component.html',
	styleUrls: ['./kommentar-list-in-vorgang-container.component.scss']
})
export class KommentarListInVorgangContainerComponent implements OnChanges {

	@Input() vorgang: VorgangWithEingangResource;

	showFormular$: Observable<boolean>;
	kommentarListStateResource$: Observable<StateResource<KommentarListResource>>;

	constructor(private kommentarService: KommentarService) { }

	ngOnChanges(): void {
		this.showFormular$ = this.kommentarService.isFormularVisible();
		this.kommentarListStateResource$ = this.kommentarService.getKommentareByVorgang(this.vorgang);
	}

	showFormular(): void {
		this.kommentarService.showFormular();
	}

	hideFormular(): void {
		this.kommentarService.hideFormular();
	}
}