import { Component, Input, OnChanges } from '@angular/core';
import { KommentarListResource, KommentarResource } from '@goofy-client/kommentar-shared';
import { getEmbeddedResource } from '@ngxp/rest';
import { KommentarListLinkRel } from 'libs/kommentar-shared/src/lib/kommentar.linkrel';

@Component({
	selector: 'goofy-client-kommentar-list-in-vorgang',
	templateUrl: './kommentar-list-in-vorgang.component.html',
	styleUrls: ['./kommentar-list-in-vorgang.component.scss']
})
export class KommentarListInVorgangComponent implements OnChanges {

	@Input() kommentarListStateResource: KommentarListResource;

	kommentare: KommentarResource[];

	ngOnChanges(): void {
		this.kommentare = this.getKommentare();
	}

	getKommentare(): KommentarResource[] {
		return this.kommentarListStateResource ? getEmbeddedResource(this.kommentarListStateResource, KommentarListLinkRel.KOMMENTAR_LIST) : [];
	}
}