import { ComponentFixture, TestBed } from '@angular/core/testing';
import { AppService } from '@goofy-client/app-shared';
import { mock } from '@goofy-client/test-utils';
import { OAuthService } from 'angular-oauth2-oidc';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { BehaviorSubject } from 'rxjs';
import { HeaderContainerComponent } from './header-container.component';
import { HeaderComponent } from './header/header.component';

describe('HeaderContainerComponent', () => {
	let component: HeaderContainerComponent;
	let fixture: ComponentFixture<HeaderContainerComponent>;

	const darkModeSubj: BehaviorSubject<boolean> = new BehaviorSubject(false);
	const appService = { ...mock(AppService), getDarkMode: () => darkModeSubj };
	const authService = mock(OAuthService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				HeaderContainerComponent,
				MockComponent(HeaderComponent),
			],
			providers: [
				{
					provide: AppService,
					useValue: appService
				},
				{
					provide: OAuthService,
					useValue: authService
				}
			]
		})
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(HeaderContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
