import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { UiModule } from '@goofy-client/ui';
import { UserProfileModule } from '@goofy-client/user-profile';
import { VorgangSharedUiModule } from '@goofy-client/vorgang-shared-ui';
import { BuildInfoComponent } from './build-info/build-info.component';
import { HeaderContainerComponent } from './header-container/header-container.component';
import { HeaderComponent } from './header-container/header/header.component';
import { SettingsComponent } from './header-container/header/settings/settings.component';
import { NavigationComponent } from './navigation/navigation.component';

@NgModule({
	declarations: [
		BuildInfoComponent,
		HeaderComponent,
		NavigationComponent,
		SettingsComponent,
		HeaderContainerComponent
	],
	imports: [
		CommonModule,
		UiModule,
		RouterModule,
		VorgangSharedUiModule,
		UserProfileModule
	],
	exports: [
		BuildInfoComponent,
		HeaderComponent,
		NavigationComponent,
		SettingsComponent,
		HeaderContainerComponent
	]
})
export class NavigationModule { }
