import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatIcon } from '@angular/material/icon';
import { RouterTestingModule } from '@angular/router/testing';
import { AppService } from '@goofy-client/app-shared';
import { mock } from '@goofy-client/test-utils';
import { BehaviorSubject } from 'rxjs';
import { NavigationComponent } from './navigation.component';
import { MatTooltipModule } from '@angular/material/tooltip';

describe('NavigationComponent', () => {
	let component: NavigationComponent;
	let fixture: ComponentFixture<NavigationComponent>;

	const navigationCollapseSubj: BehaviorSubject<boolean> = new BehaviorSubject(false);
	const appService = { ...mock(AppService), getNavigationCollapse: () => navigationCollapseSubj };

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			imports: [
				RouterTestingModule,
				MatTooltipModule
			],
			providers: [
				{
					provide: AppService,
					useValue: appService
				}
			],
			declarations: [
				MatIcon,
				NavigationComponent
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(NavigationComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
