import * as faker from 'faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { times } from 'lodash-es';
import { OzgFileListLinkRel } from '../src/lib/ozg-file.linkrel';
import { OzgFile, OzgFileListResource, OzgFileResource } from '../src/lib/ozg-file.model';

export function createOzgFile(): OzgFile {
	return {
		name: faker.lorem.slug(10),
		size: faker.datatype.number({ min: 1024, max: 10000000000 })
	}
}

export function createOzgFileResource(linkRelations: string[] = []): OzgFileResource {
	return toResource(createOzgFile(), linkRelations);
}

export function createOzgFileResources(linkRelations: string[] = []): OzgFileResource[] {
	return times(10, () => toResource(createOzgFileResource(), [...linkRelations]));
}

export function createOzgFileListResource(linkRelations: string[] = []): OzgFileListResource {
	return toResource({}, [...linkRelations], {
		[OzgFileListLinkRel.FILE_LIST]: createOzgFileResources()
	})
}
