import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createOzgFileResources } from 'libs/ozg-file-shared/test/ozg-file';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { OzgFileContainerComponent } from '../../ozg-file-container/ozg-file-container.component';
import { AnhaengeComponent } from './anhaenge.component';

describe('AnhaengeComponent', () => {
	let component: AnhaengeComponent;
	let fixture: ComponentFixture<AnhaengeComponent>;

	const fileElementSelector = 'goofy-client-ozg-file-container';

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				AnhaengeComponent,
				MockComponent(OzgFileContainerComponent)
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(AnhaengeComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('files', () => {

		it('should have length of 10', () => {
			component.attachments = createOzgFileResources();
			fixture.detectChanges();

			const elements = fixture.nativeElement.querySelectorAll(fileElementSelector);

			expect(elements).toHaveLength(10);
		})
	});
});
