import { Component, Input, OnChanges } from '@angular/core';
import { OzgFileListLinkRel, OzgFileListResource } from '@goofy-client/ozg-file-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangService, VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-anhang-list-container',
	templateUrl: './anhang-list-container.component.html',
	styleUrls: ['./anhang-list-container.component.scss']
})
export class AnhangListContainerComponent implements OnChanges {

	@Input() vorgangWithEingang: VorgangWithEingangResource;

	readonly linkRel = VorgangWithEingangLinkRel;
	attachmentStateResource$: Observable<StateResource<OzgFileListResource>>;

	readonly fileListRel = OzgFileListLinkRel;

	constructor(private vorgangService: VorgangService) { }

	ngOnChanges(): void {
		this.attachmentStateResource$ = this.vorgangService.getAttachments();
	}
}
