import { ComponentFixture, TestBed } from '@angular/core/testing';
import { OzgFileResource, OzgFileService } from '@goofy-client/ozg-file-shared';
import { ConvertForDataTestPipe } from '@goofy-client/tech-shared';
import { mock } from '@goofy-client/test-utils';
import { createOzgFileResource } from 'libs/ozg-file-shared/test/ozg-file';
import { MockComponent } from 'ng-mocks';
import { OzgFileContainerComponent } from './ozg-file-container.component';
import { OzgFileComponent } from './ozg-file/ozg-file.component';

describe('FileContainerComponent', () => {
	let component: OzgFileContainerComponent;
	let fixture: ComponentFixture<OzgFileContainerComponent>;

	const service = mock(OzgFileService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				OzgFileContainerComponent,
				ConvertForDataTestPipe,
				MockComponent(OzgFileComponent)
			],
			providers: [
				{
					provide: OzgFileService,
					useValue: service
				}
			]
		})
			.compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(OzgFileContainerComponent);
		component = fixture.componentInstance;
		component.file = createOzgFileResource();

		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('start download', () => {

		const file: OzgFileResource = createOzgFileResource();

		it('should call file service downloadFile', () => {
			component.startDownload(file);

			expect(service.downloadFile).toHaveBeenCalledWith(file);
		})
	})
});
