import { Component, EventEmitter, Input, Output } from '@angular/core';
import { OzgFileResource, OzgFileService } from '@goofy-client/ozg-file-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-ozg-file-container',
	templateUrl: './ozg-file-container.component.html',
	styleUrls: ['./ozg-file-container.component.scss']
})
export class OzgFileContainerComponent {

	@Input() file: OzgFileResource;
	@Input() deletable: boolean = false;

	fileStateResource$: Observable<StateResource<any>>

	@Output() startDelete: EventEmitter<OzgFileResource> = new EventEmitter();

	constructor(private fileService: OzgFileService) { }

	startDownload(file: OzgFileResource): void {
		this.fileStateResource$ = this.fileService.downloadFile(file);
	}
}
