import { EnumToLabelPipe } from './enum-to-label.pipe';

describe('EnumToLabelPipe', () => {
	const pipe = new EnumToLabelPipe();

	it('create an instance', () => {
		expect(pipe).toBeTruthy();
	});

	describe('transform enum to label', () => {
		it('output as expected', () => {
			const enumValue = DummyStatus.TEST;
			const enumValueLabel: string = DummyStatusLabel[enumValue];

			const result = pipe.transform(enumValue, DummyStatusLabel);

			expect(result).toBe(enumValueLabel);
		});

		it('enumValue is null', () => {
			const result = pipe.transform(null, DummyStatusLabel);

			expect(result).toBe(null);
		});

		it('enumLabel is null', () => {
			const enumValue = DummyStatus.TEST;

			const result = pipe.transform(enumValue, null);

			expect(result).toBe(null);
		});
	})
});

export enum DummyStatus {
	TEST
}

export enum DummyStatusLabel {
	TEST = 'test'
}