import { FileSizePipe } from './file-size.pipe';

describe('FileSizePipe', () => {
	const pipe = new FileSizePipe();

	it('create an instance', () => {
		expect(pipe).toBeTruthy();
	});

	describe('pass date in pipe', () => {
		const kb = 1024;

		it('1.073.741.824 should return 1,00 GB', () => {
			const size = Math.pow(kb, 3);

			const pipeResult: string = pipe.transform(size);

			expect(pipeResult).toBe('1,00<span class="unit">GB</span>');
		});

		it('1.048.576 should return 1,00 MB', () => {
			const size = Math.pow(kb, 2);

			const pipeResult: string = pipe.transform(size);

			expect(pipeResult).toBe('1,00<span class="unit">MB</span>');
		});

		it('1000 should return 0,98 kB', () => {
			const size = 1000;
			const expectedSize = (size / kb).toFixed(2).replace('.', ',');

			const pipeResult: string = pipe.transform(size);

			expect(pipeResult).toBe(`${expectedSize}<span class="unit">kB</span>`);
		});
	});


});
