import { Pipe, PipeTransform } from '@angular/core';

@Pipe({ name: 'fileSize' })
export class FileSizePipe implements PipeTransform {
	readonly kB = 1024;
	readonly MB = Math.pow(this.kB, 2);
	readonly GB = Math.pow(this.kB, 3);

	transform(size: number) {
		if (size >= this.GB) return this.formatFileSize(size / this.GB, 'GB');
		if (size >= this.MB) return this.formatFileSize(size / this.MB, 'MB');
		return this.formatFileSize(size / this.kB, 'kB');
	}

	private formatFileSize(number: number, unit: string) {
		return `${number.toFixed(2).replace('.', ',')}<span class="unit">${unit}</span>`;
	}
}
