import { registerLocaleData } from '@angular/common';
import localeDe from '@angular/common/locales/de';
import localeDeExtra from '@angular/common/locales/extra/de';
import { FormatDateWithTimePipe } from './format-date-with-time.pipe';

registerLocaleData(localeDe, 'de', localeDeExtra);

describe('FormatDateWithTimePipe', () => {
	let pipe: FormatDateWithTimePipe = new FormatDateWithTimePipe();

	it('should create', () => {
		expect(pipe).toBeTruthy();
	});

	it('should return in date in format', () => {
		const date: Date = new Date('01.01.2021');

		const result: string = pipe.transform(date);

		expect(result).toBe('Freitag, 01.01.2021, 0:00:00');
	})

	it('should return in date in format', () => {
		const date: Date = new Date('01.01.2021');

		const result: string = pipe.transform(date, false);

		expect(result).toBe('01.01.2021, 0:00:00');
	})

	it('should return undefined on null', () => {
		const result: string = pipe.transform(null);

		expect(result).toBe(undefined);
	})

	it('should return undefined on undefined', () => {
		const result: string = pipe.transform(undefined);

		expect(result).toBe(undefined);
	})
})