import { Pipe, PipeTransform } from '@angular/core';
import { isNil } from 'lodash-es';
import { formatWithTime, formatWithTimeAndDay } from '../date.util';

@Pipe({ name: 'formatDateWithTimePipe' })
export class FormatDateWithTimePipe implements PipeTransform {
	transform(date: Date, withDay: boolean = true): string {
		if (isNil(date)) return undefined;
		return withDay ? formatWithTimeAndDay(date) : formatWithTime(date);
	}
}