import { Pipe, PipeTransform } from '@angular/core';
import { formatDMYDate, formatForThisYear, isDayAfterTomorrow, isDayBeforeYesterday, isThisYear, isToday, isTomorrow, isYesterday } from '../date.util';

@Pipe({ name: 'formatListDate' })
export class FormatListDatePipe implements PipeTransform {
	transform(date: Date) {
		if (isToday(date)) return 'Heute';
		if (isYesterday(date)) return 'Gestern';
		if (isDayBeforeYesterday(date)) return 'Vorgestern';
		if (isTomorrow(date)) return 'Morgen';
		if (isDayAfterTomorrow(date)) return 'Übermorgen';

		if (isThisYear(date)) {
			return formatForThisYear(date)
		}

		return formatDMYDate(date);
	}
}