import { Resource } from '@ngxp/rest';
import { createDummyResource } from 'libs/tech-shared/test/resource';
import { HasLinkPipe } from './has-link.pipe';

describe('HasLinkPipe', () => {
	const selfLink: string = 'self';
	const dummyLink: string = 'dummy';
	const resource: Resource = createDummyResource([selfLink]);
	const pipe: HasLinkPipe = new HasLinkPipe();

	it('resource has link', () => {
		const result: boolean = pipe.transform(resource, selfLink);

		expect(result).toBe(true);
	})
	it('resource doesnt has link', () => {
		const result: boolean = pipe.transform(resource, dummyLink);

		expect(result).toBe(false);
	})
})
