import { getEmbeddedResource } from '@ngxp/rest';
import { DummyListLinkRel } from 'libs/tech-shared/test/dummy';
import { createDummyListResource } from 'libs/tech-shared/test/resource';
import { ToEmbeddedResourcesPipe } from './to-embedded-resource.pipe';

describe('ToEmbeddedResourcesPipe', () => {
	const pipe = new ToEmbeddedResourcesPipe();

	it('create an instance', () => {
		expect(pipe).toBeTruthy();
	});

	describe('transform listResource to resources by link', () => {
		const listResource = createDummyListResource([DummyListLinkRel.LIST]);

		it('should return embedded resources', () => {

			const result = pipe.transform(listResource, DummyListLinkRel.LIST);

			expect(result).toBe(getEmbeddedResource(listResource, DummyListLinkRel.LIST));
		});

		it('should return null by empty listResource', () => {
			const result = pipe.transform(null, DummyListLinkRel.LIST);

			expect(result).toBe(null);
		});

		it('should return null by empty linkel', () => {
			const result = pipe.transform(listResource, null);

			expect(result).toBe(null);
		});
	})
});