import { Pipe, PipeTransform } from '@angular/core';
import { getUrl, Resource, ResourceUri } from '@ngxp/rest';
import { isNil } from 'lodash-es';

@Pipe({ name: 'toResourceUri' })
export class ToResourceUriPipe implements PipeTransform {
	transform(resource: Resource, linkRel?: string): string {
		if (isNil(resource)) {
			return null;
		}
		const url: ResourceUri = isNil(linkRel) ? getUrl(resource) : getUrl(resource, linkRel);
		return btoa(url).replace('/', '_');
	}
}