import { ToTrafficLightTooltipPipe } from './to-traffic-light-tooltip.pipe';

describe('ToTrafficLightTooltipPipe', () => {
	const pipe = new ToTrafficLightTooltipPipe();

	it('create an instance', () => {
		expect(pipe).toBeTruthy();
	});

	describe('pass date in pipe', () => {

		it('future should return "zukunft"', () => {
			const future = new Date();
			future.setDate(future.getDate() + 2);

			const pipeResult: string = pipe.transform(future);

			expect(pipeResult).toBe('Die Frist liegt in der Zukunft');
		});

		it('past should return "abgelaufen"', () => {
			const past = new Date();
			past.setDate(past.getDate() - 2);

			const pipeResult: string = pipe.transform(past);

			expect(pipeResult).toBe('Die Frist ist abgelaufen');
		});

		it('today should return "endet Heute"', () => {
			const today: Date = new Date();

			const pipeResult: string = pipe.transform(today);

			expect(pipeResult).toBe('Die Frist endet Heute');
		});
	});


});
