import { ToTrafficLightPipe } from './to-traffic-light.pipe';

describe('ToTrafficLightPipe', () => {
	const pipe = new ToTrafficLightPipe();

	it('create an instance', () => {
		expect(pipe).toBeTruthy();
	});

	describe('pass date in pipe', () => {

		it('future should return empty string', () => {
			const future = new Date();
			future.setDate(future.getDate() + 2);

			const pipeResult: string = pipe.transform(future);

			expect(pipeResult).toBe('');
		});

		it('past should return red', () => {
			const past = new Date();
			past.setDate(past.getDate() - 2);

			const pipeResult: string = pipe.transform(past);

			expect(pipeResult).toBe('red');
		});

		it('today should return yellow', () => {
			const today: Date = new Date();

			const pipeResult: string = pipe.transform(today);

			expect(pipeResult).toBe('yellow');
		});
	});
});