
import { toResource } from 'libs/tech-shared/test/resource';
import { createEmptyStateResource, createStateResource, isLoadingRequired } from './resource.util';

describe('ngrx-helpers resource', () => {
	describe('isLoadingRequired', () => {
		it('should return true if not loaded', () => {
			expect(isLoadingRequired(createEmptyStateResource())).toBe(true);
		});

		it('should retrun false if already loading', () => {
			expect(isLoadingRequired(createEmptyStateResource(true))).toBe(false);
		});

		it('should return false on reload if already loading', () => {
			expect(isLoadingRequired({ ...createEmptyStateResource(true), reload: true })).toBe(false);
		})

		it('should return true if reload requested', () => {
			expect(isLoadingRequired({ ...createStateResource(toResource({})), reload: true }));
		})
	})
})
