import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ConvertForDataTestPipe } from './pipes/convert-for-data-test.pipe';
import { EnumToLabelPipe } from './pipes/enum-to-label.pipe';
import { FileSizePipe } from './pipes/file-size.pipe';
import { FormatDateWithTimePipe } from './pipes/format-date-with-time.pipe';
import { FormatListDatePipe } from './pipes/format-list-date.pipe';
import { HasLinkPipe } from './pipes/has-link.pipe';
import { ToEmbeddedResourcesPipe } from './pipes/to-embedded-resource.pipe';
import { ToResourceUriPipe } from './pipes/to-resource-uri.pipe';
import { ToTrafficLightTooltipPipe } from './pipes/to-traffic-light-tooltip.pipe';
import { ToTrafficLightPipe } from './pipes/to-traffic-light.pipe';

@NgModule({
	imports: [CommonModule],
	declarations: [
		FormatListDatePipe,
		EnumToLabelPipe,
		FormatDateWithTimePipe,
		HasLinkPipe,
		ToResourceUriPipe,
		ToTrafficLightPipe,
		ToTrafficLightTooltipPipe,
		ToEmbeddedResourcesPipe,
		ConvertForDataTestPipe,
		FileSizePipe
	],
	exports: [
		FormatListDatePipe,
		EnumToLabelPipe,
		FormatDateWithTimePipe,
		HasLinkPipe,
		ToResourceUriPipe,
		ToTrafficLightPipe,
		ToTrafficLightTooltipPipe,
		ToEmbeddedResourcesPipe,
		ConvertForDataTestPipe,
		FileSizePipe
	]
})
export class TechSharedModule { }
