export function getBaseUrl(): string {
	const { protocol, host, } = window.location;
	const basePath = `${protocol}//${host}`;
	return basePath.endsWith('/') ? `${basePath}` : `${basePath}/`;
}

export function isEmptyObject(obj: any): boolean {
	return Object.keys(obj).length === 0;
}

export function replaceAllWhitespaces(value: string, replaceWith: string) {
	return value.replace(/ /g, replaceWith);
}

export function replacePlaceholders(text: string, placeholders: { [key: string]: string }): string {
	let replaced = text;
	Object.keys(placeholders).forEach(key => replaced = replacePlaceholder(replaced, key, placeholders[key]));
	return replaced;
}

export function replacePlaceholder(text: string, placeholder: string, value: string): string {
	const regex = new RegExp('{' + placeholder + '}', 'g');
	return text.replace(regex, value);
}