import { DebugElement, Type } from '@angular/core';
import { ComponentFixture } from '@angular/core/testing';
import { By } from '@angular/platform-browser';

export function getElementFromFixtureByType<T>(fixture: ComponentFixture<any>, component: Type<T>): T {
	return getDebugElementFromFixtureByType(fixture, component).componentInstance as T;
}

function getDebugElementFromFixtureByType<T>(fixture: ComponentFixture<any>, component: Type<T>): DebugElement {
	return fixture.debugElement.query(By.directive(component));
}

export function getElementFromFixtureByCss(fixture: ComponentFixture<any>, query: string): DebugElement {
	return fixture.debugElement.query(By.css(query));
}