import { Component, Inject } from '@angular/core';
import { MatSnackBarRef, MAT_SNACK_BAR_DATA } from '@angular/material/snack-bar';
import { isRevokeable } from '@goofy-client/command-shared';
import { SnackBarData } from './snackbar.service';

@Component({
	selector: 'goofy-client-snackbar',
	templateUrl: './snackbar.component.html',
	styleUrls: ['./snackbar.component.scss']
})
export class SnackbarComponent {

	constructor(
		@Inject(MAT_SNACK_BAR_DATA) public data: SnackBarData,
		public snackBarRef: MatSnackBarRef<SnackbarComponent>,
	) { }

	getMessage(): string {
		return this.data.message;
	}

	showRevokeButton(): boolean {
		return isRevokeable(this.data.commandResource);
	}

	revoke(): void {
		this.snackBarRef.dismissWithAction();
	}

	close(): void {
		this.snackBarRef.dismiss();
	}

}