import { Component, EventEmitter, Input, Output } from '@angular/core';
import { createEmptyStateResource, StateResource } from '@goofy-client/tech-shared';
import { isNil } from 'lodash-es';

@Component({
	selector: 'goofy-client-button-with-spinner',
	templateUrl: './button-with-spinner.component.html',
	styleUrls: ['./button-with-spinner.component.scss']
})
export class ButtonWithSpinnerComponent {

	@Input() icon: string;
	@Input() svgIcon: string;
	@Input() text: string;
	@Input() stateResource: StateResource<any>;
	@Input() color: string = 'primary';
	@Input() type: 'button' | 'submit' = 'button';
	@Input() toolTip: string = '';
	@Input() dataTestId: string;

	@Output() public clickEmitter: EventEmitter<MouseEvent> = new EventEmitter<MouseEvent>();

	get isDisabled(): boolean {
		return this.getStateResource().loading;
	}

	getStateResource(): StateResource<any> {
		return isNil(this.stateResource) ? createEmptyStateResource() : this.stateResource;
	}
}
