import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormControl, NgControl, ReactiveFormsModule } from '@angular/forms';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ConvertForDataTestPipe } from '@goofy-client/tech-shared';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { ValidationErrorComponent } from '../../validation-error/validation-error.component';
import { AutocompleteEditorComponent } from './autocomplete-editor.component';

describe('AutocompleteEditorComponent', () => {
	let component: AutocompleteEditorComponent;
	let fixture: ComponentFixture<AutocompleteEditorComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				AutocompleteEditorComponent,
				ConvertForDataTestPipe,
				MockComponent(ValidationErrorComponent)
			],
			imports: [
				MatAutocompleteModule,
				MatFormFieldModule,
				MatInputModule,
				ReactiveFormsModule,
				BrowserAnimationsModule
			],
			providers: [
				{
					provide: NgControl,
					useValue: new FormControl()
				}
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(AutocompleteEditorComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
