import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { MatNativeDateModule } from '@angular/material/core';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ConvertForDataTestPipe } from '@goofy-client/tech-shared';
import { MockComponent } from 'ng-mocks';
import { ValidationErrorComponent } from '../../validation-error/validation-error.component';
import { DateEditorComponent } from './date-editor.component';

describe('DateEditorComponent', () => {
	let component: DateEditorComponent;
	let fixture: ComponentFixture<DateEditorComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				DateEditorComponent,
				ConvertForDataTestPipe,
				MockComponent(ValidationErrorComponent)
			],
			imports: [
				MatFormFieldModule,
				MatInputModule,
				MatIconModule,
				MatDatepickerModule,
				MatNativeDateModule,
				ReactiveFormsModule,
				BrowserAnimationsModule,
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(DateEditorComponent);
		component = fixture.componentInstance;

		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('data test id', () => {

		it('should exist for input', () => {
			component.label = 'Ein Label';
			fixture.detectChanges();

			const element: HTMLElement = fixture.nativeElement.querySelector('[data-test-id="Ein_Label-date-input"]');

			expect(element).toBeInstanceOf(HTMLElement);
		})
	})
});