import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormControl, NgControl, ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ConvertForDataTestPipe } from '@goofy-client/tech-shared';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { ValidationErrorComponent } from '../../validation-error/validation-error.component';
import { TextAreaEditorComponent } from './textarea-editor.component';

describe('TextAreaEditorComponent', () => {
	let component: TextAreaEditorComponent;
	let fixture: ComponentFixture<TextAreaEditorComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				TextAreaEditorComponent,
				ConvertForDataTestPipe,
				MockComponent(ValidationErrorComponent)
			],
			imports: [
				MatFormFieldModule,
				MatInputModule,
				ReactiveFormsModule,
				BrowserAnimationsModule
			],
			providers: [
				{
					provide: NgControl,
					useValue: new FormControl()
				}
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(TextAreaEditorComponent);
		component = fixture.componentInstance;
		component.label = 'Ein Label';
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	it('should exist for input', () => {
		component.label = 'Ein Label';
		fixture.detectChanges();

		const element: HTMLElement = fixture.nativeElement.querySelector('[data-test-id="Ein_Label-textarea-input"]');

		expect(element).toBeInstanceOf(HTMLElement);
	})
});
