import { CdkTextareaAutosize } from '@angular/cdk/text-field';
import { AfterViewInit, Component, Input, ViewChild } from '@angular/core';
import { FormControlEditorAbstractComponent } from '../formcontrol-editor.abstract.component';

@Component({
	selector: 'goofy-client-textarea-editor',
	templateUrl: './textarea-editor.component.html',
	styleUrls: ['./textarea-editor.component.scss']
})
export class TextAreaEditorComponent extends FormControlEditorAbstractComponent implements AfterViewInit {

	@ViewChild('autosize') autosize: CdkTextareaAutosize;

	@Input() placeholder: string;
	@Input() label: string = '';

	ngAfterViewInit() {
		this.autosize.resizeToFitContent(true);
	}
}
