import { Component, EventEmitter, Input, Output } from '@angular/core';
import { uniqueId } from 'lodash-es';
import { Observable } from 'rxjs';
import { StateResource } from '@goofy-client/tech-shared';

@Component({
	selector: 'goofy-client-file-upload',
	templateUrl: './file-upload.component.html',
	styleUrls: ['./file-upload.component.scss']
})
export class FileUploadComponent {
	@Input() accept: string = '*/*';
	@Input() uploadInProgress$: Observable<StateResource<any>>;

	@Output() fileChanged: EventEmitter<File> = new EventEmitter();

	readonly myId: string = uniqueId();

	onFileChanged($event: Event) {
		const files = (<HTMLInputElement>$event.target).files;
		this.fileChanged.emit(files[0]);
	}
}
