import { Component, EventEmitter, Input, Output } from '@angular/core';
import { createEmptyStateResource, StateResource } from '@goofy-client/tech-shared';
import { isNil } from 'lodash-es';

@Component({
	selector: 'goofy-client-icon-button-with-spinner',
	templateUrl: './icon-button-with-spinner.component.html',
	styleUrls: ['./icon-button-with-spinner.component.scss']
})
export class IconButtonWithSpinnerComponent {

	@Input() icon: string;
	@Input() svgIcon: string;
	@Input() stateResource: StateResource<any>;
	@Input() toolTip: string = '';

	@Output() public clickEmitter: EventEmitter<MouseEvent> = new EventEmitter<MouseEvent>();

	get isDisabled(): boolean {
		return this.getStateResource().loading;
	}

	getStateResource(): StateResource<any> {
		return isNil(this.stateResource) ? createEmptyStateResource() : this.stateResource;
	}
}
