import { Component, Input } from '@angular/core';
import { createEmptyStateResource, StateResource } from '@goofy-client/tech-shared';

@Component({
	selector: 'goofy-client-spinner',
	templateUrl: './spinner.component.html',
	styleUrls: ['./spinner.component.scss']
})
export class SpinnerComponent {

	@Input() stateResource: StateResource<any> = createEmptyStateResource();
	@Input() diameter: number = 70;
	@Input() padding: number = 16;
	@Input() text: string;
	@Input() show: boolean = false;

	get showSpinner(): boolean {
		if (this.show) return this.show;
		return this.stateResource.loading;
	}
}

