import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatNativeDateModule, MatRippleModule } from '@angular/material/core';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatDialogModule } from '@angular/material/dialog';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatMenuModule } from '@angular/material/menu';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatTooltipModule } from '@angular/material/tooltip';
import { TechSharedModule } from '@goofy-client/tech-shared';
import { SnackbarComponent } from '../snackbar/snackbar.component';
import { ButtonWithSpinnerComponent } from './button-with-spinner/button-with-spinner.component';
import { AutocompleteEditorComponent } from './editor/autocomplete-editor/autocomplete-editor.component';
import { DateEditorComponent } from './editor/date-editor/date-editor.component';
import { TextEditorComponent } from './editor/text-editor/text-editor.component';
import { TextAreaEditorComponent } from './editor/textarea-editor/textarea-editor.component';
import { ExpansionPanelComponent } from './expansion-panel/expansion-panel.component';
import { FileUploadComponent } from './file-upload/file-upload.component';
import { FixedDialogComponent } from './fixed-dialog/fixed-dialog.component';
import { IconButtonWithSpinnerComponent } from './icon-button-with-spinner/icon-button-with-spinner.component';
import { ProgressBarComponent } from './progress-bar/progress-bar.component';
import { SpinnerComponent } from './spinner/spinner.component';
import { SubnavigationComponent } from './subnavigation/subnavigation.component';
import { ValidationErrorComponent } from './validation-error/validation-error.component';

const components = [
	SubnavigationComponent,
	SpinnerComponent,
	ButtonWithSpinnerComponent,
	IconButtonWithSpinnerComponent,
	ProgressBarComponent,
	ExpansionPanelComponent,
	SnackbarComponent,
	FileUploadComponent,
	DateEditorComponent,
	TextEditorComponent,
	TextAreaEditorComponent,
	ValidationErrorComponent,
	AutocompleteEditorComponent,
	FixedDialogComponent
];

const modules = [
	MatButtonModule,
	MatIconModule,
	MatProgressBarModule,
	MatProgressSpinnerModule,
	MatMenuModule,
	MatSlideToggleModule,
	MatExpansionModule,
	MatRippleModule,
	MatTooltipModule,
	MatSnackBarModule,
	MatCheckboxModule,
	MatFormFieldModule,
	MatInputModule,
	MatDatepickerModule,
	MatDatepickerModule,
	MatNativeDateModule,
	FormsModule,
	ReactiveFormsModule,
	MatAutocompleteModule,
	MatDialogModule,
	CommonModule,
	TechSharedModule
];

@NgModule({
	declarations: [
		components
	],
	imports: [
		...modules
	],
	exports: [
		...modules,
		...components
	]
})
export class UiModule { }
