import { Injectable } from '@angular/core';
import { ApiRootLinkRel, ApiRootResource } from '@goofy-client/api-root-shared';
import { getUrl, Resource, ResourceFactory, ResourceUri } from '@ngxp/rest';
import { Observable } from 'rxjs';
import { UserProfileListResource, UserProfileResource } from './user-profile.model';

@Injectable({ providedIn: 'root' })
export class UserProfileRepository {

	static SEARCH_PARAM: string = 'searchBy';

	constructor(private resourceFactory: ResourceFactory) { }

	public getUserProfile(resource: Resource, linkRel: string): Observable<UserProfileResource> {
		return this.resourceFactory.from(resource).get(linkRel);
	}

	public search(apiRoot: ApiRootResource, searchBy: string): Observable<UserProfileListResource> {
		return this.resourceFactory.fromId(this.buildSearchByUrl(apiRoot, searchBy)).get();
	}

	buildSearchByUrl(apiRootResource: ApiRootResource, searchBy: string): ResourceUri {
		return getUrl(apiRootResource, ApiRootLinkRel.SEARCH_USER_PROFILES).replace('{' + UserProfileRepository.SEARCH_PARAM + '}', searchBy);
	}
}