import * as faker from 'faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { times } from 'lodash-es';
import { UserProfileListLinkRel } from '../src/lib/user-profile.linkrel';
import { UserProfile, UserProfileListResource, UserProfileResource } from '../src/lib/user-profile.model';

export function createUserProfile(): UserProfile {
	return {
		createdAt: faker.date.past(),
		firstName: faker.name.findName(),
		lastName: faker.name.findName()
	}
}

export function createUserProfileResource(linkRel: string[] = []): UserProfileResource {
	return toResource(createUserProfile(), linkRel);
}

export function createUserProfileResources(linkRel: string[] = []): UserProfileResource[] {
	return times(10, () => toResource(createUserProfileResource(), linkRel));
}

export function createUserProfileListResource(linkRel: string[] = []): UserProfileListResource {
	return toResource({}, linkRel, {
		[UserProfileListLinkRel.USER_PROFILE_LIST]: createUserProfileResources()
	});
}