import { Component, Input } from '@angular/core';
import { UserProfileService } from '@goofy-client/user-profile-shared';
import { VorgangHeaderLinkRel, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';

@Component({
	selector: 'goofy-client-assign-user-profile-button-container',
	templateUrl: './assign-user-profile-button-container.component.html',
	styleUrls: ['./assign-user-profile-button-container.component.scss']
})
export class AssignUserProfileButtonContainerComponent {

	@Input() vorgang: VorgangWithEingangResource;

	readonly linkRel = VorgangHeaderLinkRel;

	constructor(private userProfileService: UserProfileService) { }

	showUserProfileSearch(): void {
		this.scrollToTop(); // TODO bessere loesung finden
		this.userProfileService.showUserProfileSearch();
	}

	scrollToTop(): void {
		const elem = document.getElementsByClassName('l-scroll-area')[0];
		if (elem) elem.scrollTop = 0;
	}
}
