import { Component, Input, OnChanges } from '@angular/core';
import { KommentarResource } from '@goofy-client/kommentar-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { UserProfileResource, UserProfileService } from '@goofy-client/user-profile-shared';
import { KommentarLinkRel } from 'libs/kommentar-shared/src/lib/kommentar.linkrel';
import { isNil } from 'lodash-es';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-user-profile-in-kommentar-container',
	templateUrl: './user-profile-in-kommentar-container.component.html',
	styleUrls: ['./user-profile-in-kommentar-container.component.scss']
})
export class UserProfileInKommentarContainerComponent implements OnChanges {

	@Input() kommentar: KommentarResource;

	userProfileStateResource$: Observable<StateResource<UserProfileResource>>;

	constructor(private userProfileService: UserProfileService) { }

	ngOnChanges(): void {
		if (!isNil(this.kommentar)) {
			this.userProfileStateResource$ = this.userProfileService.getAssignedUserProfile(this.kommentar, KommentarLinkRel.CREATED_BY);
		}
	}
}