import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatMenuModule } from '@angular/material/menu';
import { mock } from '@goofy-client/test-utils';
import { UserProfileService } from '@goofy-client/user-profile-shared';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { BehaviorSubject } from 'rxjs';
import { UserIconComponent } from '../../user-icon/user-icon.component';
import { UserProfileSearchContainerComponent } from '../../user-profile-search-container/user-profile-search-container.component';
import { UserProfileButtonContainerComponent } from './user-profile-button-container.component';

describe('UserProfileButtonContainerComponent', () => {
	let component: UserProfileButtonContainerComponent;
	let fixture: ComponentFixture<UserProfileButtonContainerComponent>;

	const visibilitySubj: BehaviorSubject<boolean> = new BehaviorSubject(false);
	const userProfileService = { ...mock(UserProfileService), isUserProfileSearchVisible: () => visibilitySubj };

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				UserProfileButtonContainerComponent,
				MockComponent(UserIconComponent),
				MockComponent(UserProfileSearchContainerComponent)
			],
			providers: [
				{
					provide: UserProfileService,
					useValue: userProfileService
				}
			],
			imports: [
				MatMenuModule
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(UserProfileButtonContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
