import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ApiRootService } from '@goofy-client/api-root-shared';
import { HasLinkPipe } from '@goofy-client/tech-shared';
import { mock } from '@goofy-client/test-utils';
import { UserProfileService } from '@goofy-client/user-profile-shared';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { BehaviorSubject } from 'rxjs';
import { UserIconComponent } from '../user-icon/user-icon.component';
import { UserProfileButtonContainerComponent } from './user-profile-button-container/user-profile-button-container.component';
import { UserProfileInVorgangContainerComponent } from './user-profile-in-vorgang-container.component';

describe('UserProfileInVorgangContainerComponent', () => {
	let component: UserProfileInVorgangContainerComponent;
	let fixture: ComponentFixture<UserProfileInVorgangContainerComponent>;

	const visibilitySubj: BehaviorSubject<boolean> = new BehaviorSubject(false);
	const userProfileService = { ...mock(UserProfileService), isUserProfileSearchVisible: () => visibilitySubj };
	const apiRootService = mock(ApiRootService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				UserProfileInVorgangContainerComponent,
				HasLinkPipe,
				MockComponent(UserIconComponent),
				MockComponent(UserProfileButtonContainerComponent)
			],
			providers: [
				{
					provide: UserProfileService,
					useValue: userProfileService
				},
				{
					provide: ApiRootService,
					useValue: apiRootService
				}
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(UserProfileInVorgangContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
