import { Component, Input } from '@angular/core';
import { createEmptyStateResource, StateResource } from '@goofy-client/tech-shared';
import { UserProfileResource, UserProfileService } from '@goofy-client/user-profile-shared';
import { VorgangHeaderLinkRel, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { hasLink } from '@ngxp/rest';
import { isNil } from 'lodash-es';
import { Observable, of } from 'rxjs';

@Component({
	selector: 'goofy-client-user-profile-in-vorgang-list-item-container',
	templateUrl: './user-profile-in-vorgang-list-item-container.component.html',
	styleUrls: ['./user-profile-in-vorgang-list-item-container.component.scss']
})
export class UserProfileInVorgangListItemContainerComponent {

	@Input() vorgang: VorgangWithEingangResource;

	userProfile$: Observable<StateResource<UserProfileResource>> = of(createEmptyStateResource());

	constructor(public userProfileService: UserProfileService) { }

	ngOnChanges(): void {
		if (!isNil(this.vorgang) && hasLink(this.vorgang, VorgangHeaderLinkRel.ASSIGNED_TO)) {
			this.userProfile$ = this.userProfileService.getAssignedUserProfile(this.vorgang, VorgangHeaderLinkRel.ASSIGNED_TO);
		}
	}
}
