import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormBuilder } from '@angular/forms';
import { mock } from '@goofy-client/test-utils';
import { SpinnerComponent } from '@goofy-client/ui';
import { UserProfileListResource, UserProfileService } from '@goofy-client/user-profile-shared';
import { VorgangService } from '@goofy-client/vorgang-shared';
import { createUserProfileListResource } from 'libs/user-profile-shared/test/user-profile';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { of } from 'rxjs';
import { UserProfileSearchContainerComponent } from './user-profile-search-container.component';
import { UserProfileSearchComponent } from './user-profile-search/user-profile-search.component';
import { UserProfileSearchFormService } from './user-profile-search/user-profile.search.formservice';

describe('UserProfileSearchContainerComponent', () => {
	let component: UserProfileSearchContainerComponent;
	let fixture: ComponentFixture<UserProfileSearchContainerComponent>;

	const userProfileSearchFormService = mock(UserProfileSearchFormService);

	const userProfileListResource: UserProfileListResource = createUserProfileListResource();
	const userProfileService = { ...mock(UserProfileService), getSearchedUserProfiles: () => of(userProfileListResource) };

	const vorgangService = mock(VorgangService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				UserProfileSearchContainerComponent,
				MockComponent(SpinnerComponent),
				MockComponent(UserProfileSearchComponent)
			],
			providers: [
				FormBuilder,
				{
					provide: UserProfileSearchFormService,
					useValue: userProfileSearchFormService
				},
				{
					provide: UserProfileService,
					useValue: userProfileService
				},
				{
					provide: VorgangService,
					useValue: vorgangService
				}
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(UserProfileSearchContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
