import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormBuilder, ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { mock } from '@goofy-client/test-utils';
import { AutocompleteEditorComponent } from '@goofy-client/ui';
import { UserProfileService } from '@goofy-client/user-profile-shared';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { UserProfileSearchComponent } from './user-profile-search.component';
import { UserProfileSearchFormService } from './user-profile.search.formservice';

describe('UserProfileSearchComponent', () => {
	let component: UserProfileSearchComponent;
	let fixture: ComponentFixture<UserProfileSearchComponent>;

	const userProfileSearchFormService = mock(UserProfileSearchFormService);
	const userProfileService = mock(UserProfileService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				UserProfileSearchComponent,
				MockComponent(AutocompleteEditorComponent)
			],
			imports: [
				MatFormFieldModule,
				ReactiveFormsModule,
				BrowserAnimationsModule
			],
			providers: [
				FormBuilder,
				{
					provide: UserProfileSearchFormService,
					useValue: userProfileSearchFormService
				},
				{
					provide: UserProfileService,
					useValue: userProfileService
				}
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(UserProfileSearchComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
