import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TechSharedModule } from '@goofy-client/tech-shared';
import { UiModule } from '@goofy-client/ui';
import { UserProfileSharedModule } from '@goofy-client/user-profile-shared';
import { AssignUserProfileButtonContainerComponent } from './assign-user-profile-button-container/assign-user-profile-button-container.component';
import { UserIconComponent } from './user-icon/user-icon.component';
import { UserProfileInKommentarContainerComponent } from './user-profile-in-kommentar-container/user-profile-in-kommentar-container.component';
import { UserProfileButtonContainerComponent } from './user-profile-in-vorgang-container/user-profile-button-container/user-profile-button-container.component';
import { UserProfileInVorgangContainerComponent } from './user-profile-in-vorgang-container/user-profile-in-vorgang-container.component';
import { UserProfileInVorgangListItemContainerComponent } from './user-profile-in-vorgang-list-item-container/user-profile-in-vorgang-list-item-container.component';
import { UserProfileSearchContainerComponent } from './user-profile-search-container/user-profile-search-container.component';
import { UserProfileSearchComponent } from './user-profile-search-container/user-profile-search/user-profile-search.component';

@NgModule({
	imports: [
		CommonModule,
		TechSharedModule,
		UiModule,
		UserProfileSharedModule
	],
	declarations: [
		UserIconComponent,
		UserProfileInVorgangContainerComponent,
		UserProfileSearchComponent,
		UserProfileSearchContainerComponent,
		AssignUserProfileButtonContainerComponent,
		UserProfileInKommentarContainerComponent,
		UserProfileInVorgangListItemContainerComponent,
		UserProfileButtonContainerComponent
	],
	exports: [
		UserProfileInVorgangContainerComponent,
		UserIconComponent,
		AssignUserProfileButtonContainerComponent,
		UserProfileInKommentarContainerComponent,
		UserProfileInVorgangListItemContainerComponent
	]
})
export class UserProfileModule { }
