import { Component, Input } from '@angular/core';
import { CommandResource } from '@goofy-client/command-shared';
import { createEmptyStateResource, StateResource } from '@goofy-client/tech-shared';
import { VorgangCommandService, VorgangOrder, VorgangResource, VorgangWithEingangLinkRel } from '@goofy-client/vorgang-shared';
import { Observable, of } from 'rxjs';

@Component({
	selector: 'goofy-client-zurueckholen-button',
	templateUrl: './zurueckholen-button.component.html',
	styleUrls: ['./zurueckholen-button.component.scss']
})
export class ZurueckholenButtonComponent {

	@Input() vorgang: VorgangResource;
	@Input() showAsIconButton: boolean = false;

	commandStateResource$: Observable<StateResource<CommandResource>> = of(createEmptyStateResource());

	readonly linkRel = VorgangWithEingangLinkRel;

	constructor(private vorgangCommandService: VorgangCommandService) {
		this.commandStateResource$ = this.vorgangCommandService.getCommandStateResources(VorgangOrder.ZURUECKHOLEN);
	}

	zurueckholen(): void {
		this.vorgangCommandService.zurueckholen();
	}
}