import { Component, Input } from '@angular/core';
import { CommandResource } from '@goofy-client/command-shared';
import { createEmptyStateResource, StateResource } from '@goofy-client/tech-shared';
import { VorgangCommandService, VorgangOrder, VorgangResource, VorgangWithEingangLinkRel } from '@goofy-client/vorgang-shared';
import { Observable, of } from 'rxjs';

@Component({
	selector: 'goofy-client-zurueckstellen-button',
	templateUrl: './zurueckstellen-button.component.html',
	styleUrls: ['./zurueckstellen-button.component.scss']
})
export class ZurueckstellenButtonComponent {

	@Input() vorgang: VorgangResource;
	@Input() showAsIconButton: boolean = false;

	commandStateResource$: Observable<StateResource<CommandResource>> = of(createEmptyStateResource());

	readonly linkRel = VorgangWithEingangLinkRel;

	constructor(private vorgangCommandService: VorgangCommandService) {
		this.commandStateResource$ = this.vorgangCommandService.getCommandStateResources(VorgangOrder.ZURUECKSTELLEN);
	}

	zurueckstellen(): void {
		this.vorgangCommandService.zurueckstellen();
	}
}