import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createStateResource } from '@goofy-client/tech-shared';
import { IconButtonWithSpinnerComponent } from '@goofy-client/ui';
import { AssignUserProfileButtonContainerComponent } from '@goofy-client/user-profile';
import { CreateWiedervorlageButtonContainerComponent } from '@goofy-client/wiedervorlage';
import { createVorgangWithEingangResource } from 'libs/vorgang-shared/test/vorgang';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { AbschliessenButtonComponent } from '../../../buttons/abschliessen-button/abschliessen-button.component';
import { AnnehmenButtonComponent } from '../../../buttons/annehmen-button/annehmen-button.component';
import { BearbeitenButtonComponent } from '../../../buttons/bearbeiten-button/bearbeiten-button.component';
import { BescheidenButtonComponent } from '../../../buttons/bescheiden-button/bescheiden-button.component';
import { VerwerfenButtonComponent } from '../../../buttons/verwerfen-button/verwerfen-button.component';
import { WiedereroeffnenButtonComponent } from '../../../buttons/wiedereroeffnen-button/wiedereroeffnen-button.component';
import { ZurueckholenButtonComponent } from '../../../buttons/zurueckholen-button/zurueckholen-button.component';
import { ZurueckstellenButtonComponent } from '../../../buttons/zurueckstellen-button/zurueckstellen-button.component';
import { VorgangDetailActionButtonsComponent } from './vorgang-detail-action-buttons.component';

describe('VorgangDetailActionButtonsComponent', () => {
	let component: VorgangDetailActionButtonsComponent;
	let fixture: ComponentFixture<VorgangDetailActionButtonsComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangDetailActionButtonsComponent,
				MockComponent(IconButtonWithSpinnerComponent),
				MockComponent(AnnehmenButtonComponent),
				MockComponent(BearbeitenButtonComponent),
				MockComponent(VerwerfenButtonComponent),
				MockComponent(ZurueckholenButtonComponent),
				MockComponent(BescheidenButtonComponent),
				MockComponent(AbschliessenButtonComponent),
				MockComponent(ZurueckstellenButtonComponent),
				MockComponent(WiedereroeffnenButtonComponent),
				MockComponent(AssignUserProfileButtonContainerComponent),
				MockComponent(CreateWiedervorlageButtonContainerComponent)
			]
		})
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangDetailActionButtonsComponent);
		component = fixture.componentInstance;
		component.vorgangWithEingang = createStateResource(createVorgangWithEingangResource());
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
