import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createStateResource } from '@goofy-client/tech-shared';
import { ButtonWithSpinnerComponent } from '@goofy-client/ui';
import { HasLinkPipe } from 'libs/tech-shared/src/lib/pipes/has-link.pipe';
import { createVorgangWithEingangResource } from 'libs/vorgang-shared/test/vorgang';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { AbschliessenButtonComponent } from '../../../buttons/abschliessen-button/abschliessen-button.component';
import { AnnehmenButtonComponent } from '../../../buttons/annehmen-button/annehmen-button.component';
import { BearbeitenButtonComponent } from '../../../buttons/bearbeiten-button/bearbeiten-button.component';
import { BescheidenButtonComponent } from '../../../buttons/bescheiden-button/bescheiden-button.component';
import { VerwerfenButtonComponent } from '../../../buttons/verwerfen-button/verwerfen-button.component';
import { WiedereroeffnenButtonComponent } from '../../../buttons/wiedereroeffnen-button/wiedereroeffnen-button.component';
import { ZurueckholenButtonComponent } from '../../../buttons/zurueckholen-button/zurueckholen-button.component';
import { ZurueckstellenButtonComponent } from '../../../buttons/zurueckstellen-button/zurueckstellen-button.component';
import { VorgangDetailFormularButtonsComponent } from './vorgang-detail-formular-buttons.component';

describe('VorgangDetailFormularButtonsComponent', () => {
	let component: VorgangDetailFormularButtonsComponent;
	let fixture: ComponentFixture<VorgangDetailFormularButtonsComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangDetailFormularButtonsComponent,
				HasLinkPipe,
				MockComponent(ButtonWithSpinnerComponent),
				MockComponent(AnnehmenButtonComponent),
				MockComponent(BearbeitenButtonComponent),
				MockComponent(VerwerfenButtonComponent),
				MockComponent(ZurueckholenButtonComponent),
				MockComponent(BescheidenButtonComponent),
				MockComponent(AbschliessenButtonComponent),
				MockComponent(ZurueckstellenButtonComponent),
				MockComponent(WiedereroeffnenButtonComponent)
			]
		})
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangDetailFormularButtonsComponent);
		component = fixture.componentInstance;
		component.vorgangWithEingang = createStateResource(createVorgangWithEingangResource());
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
