import { ComponentFixture, TestBed } from '@angular/core/testing';
import { EnumToLabelPipe, HasLinkPipe } from '@goofy-client/tech-shared';
import { VorgangHeaderLinkRel } from '@goofy-client/vorgang-shared';
import { AktenzeichenComponent, StatusDotComponent } from '@goofy-client/vorgang-shared-ui';
import { UserProfileInVorgangContainerComponent } from 'libs/user-profile/src/lib/user-profile-in-vorgang-container/user-profile-in-vorgang-container.component';
import { createVorgangWithEingangResource } from 'libs/vorgang-shared/test/vorgang';
import { MockComponent } from 'ng-mocks';
import { VorgangDetailHeaderComponent } from './vorgang-detail-header.component';

describe('VorgangDetailHeaderComponent', () => {
	let component: VorgangDetailHeaderComponent;
	let fixture: ComponentFixture<VorgangDetailHeaderComponent>;

	const user: string = '[data-test-id="vorgang-header-user-icon"]';

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangDetailHeaderComponent,
				EnumToLabelPipe,
				HasLinkPipe,
				MockComponent(UserProfileInVorgangContainerComponent),
				MockComponent(StatusDotComponent),
				MockComponent(AktenzeichenComponent),
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangDetailHeaderComponent);
		component = fixture.componentInstance;
		component.vorgangWithEingang = createVorgangWithEingangResource();
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('bearbeiter/user icon', () => {

		it('should be visible', () => {
			component.vorgangWithEingang = createVorgangWithEingangResource([VorgangHeaderLinkRel.ASSIGN]);
			fixture.detectChanges();

			const userElement = fixture.nativeElement.querySelector(user);

			expect(userElement).toBeInstanceOf(HTMLElement);
		})

		it('should NOT be visible', () => {
			component.vorgangWithEingang = createVorgangWithEingangResource();
			fixture.detectChanges();

			const userElement = fixture.nativeElement.querySelector(user);

			expect(userElement).not.toBeInstanceOf(HTMLElement);
		})
	})
});
