import { Component, OnInit } from '@angular/core';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangCommandService, VorgangService, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { CommandResource } from 'libs/command-shared/src/lib/command.model';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-vorgang-detail-page',
	templateUrl: './vorgang-detail-page.component.html',
	styleUrls: ['./vorgang-detail-page.component.scss']
})
export class VorgangDetailPageComponent implements OnInit {

	vorgangStateResource$: Observable<StateResource<VorgangWithEingangResource>>;
	revokeCommandStateResource$: Observable<StateResource<CommandResource>>;

	constructor(private vorgangService: VorgangService, private vorgangCommandService: VorgangCommandService) { }

	ngOnInit(): void {
		this.vorgangStateResource$ = this.vorgangService.getVorgangWithEingang();
		this.revokeCommandStateResource$ = this.vorgangCommandService.getRevokeCommand();
	}
}