import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ForwardingModule } from '@goofy-client/forwarding';
import { KommentarModule } from '@goofy-client/kommentar';
import { OzgFileModule } from '@goofy-client/ozg-file';
import { TechSharedModule } from '@goofy-client/tech-shared';
import { UiModule } from '@goofy-client/ui';
import { UserProfileModule } from '@goofy-client/user-profile';
import { UserProfileSharedModule } from '@goofy-client/user-profile-shared';
import { VorgangSharedModule } from '@goofy-client/vorgang-shared';
import { VorgangSharedUiModule } from '@goofy-client/vorgang-shared-ui';
import { WiedervorlageModule } from '@goofy-client/wiedervorlage';
import { AbschliessenButtonComponent } from './buttons/abschliessen-button/abschliessen-button.component';
import { AnnehmenButtonComponent } from './buttons/annehmen-button/annehmen-button.component';
import { BearbeitenButtonComponent } from './buttons/bearbeiten-button/bearbeiten-button.component';
import { BescheidenButtonComponent } from './buttons/bescheiden-button/bescheiden-button.component';
import { VerwerfenButtonComponent } from './buttons/verwerfen-button/verwerfen-button.component';
import { WiedereroeffnenButtonComponent } from './buttons/wiedereroeffnen-button/wiedereroeffnen-button.component';
import { ZurueckholenButtonComponent } from './buttons/zurueckholen-button/zurueckholen-button.component';
import { ZurueckstellenButtonComponent } from './buttons/zurueckstellen-button/zurueckstellen-button.component';
import { VorgangDetailActionButtonsComponent } from './vorgang-detail-page/vorgang-detail-area/vorgang-detail-action-buttons/vorgang-detail-action-buttons.component';
import { VorgangDetailAreaComponent } from './vorgang-detail-page/vorgang-detail-area/vorgang-detail-area.component';
import { AntragstellerComponent } from './vorgang-detail-page/vorgang-detail-area/vorgang-detail-body/antragsteller/antragsteller.component';
import { EingangHeaderComponent } from './vorgang-detail-page/vorgang-detail-area/vorgang-detail-body/eingang-header/eingang-header.component';
import { FormDataTableComponent } from './vorgang-detail-page/vorgang-detail-area/vorgang-detail-body/form-data-table/form-data-table.component';
import { VorgangDetailBodyComponent } from './vorgang-detail-page/vorgang-detail-area/vorgang-detail-body/vorgang-detail-body.component';
import { VorgangDetailFormularButtonsComponent } from './vorgang-detail-page/vorgang-detail-area/vorgang-detail-formular-buttons/vorgang-detail-formular-buttons.component';
import { VorgangDetailHeaderComponent } from './vorgang-detail-page/vorgang-detail-area/vorgang-detail-header/vorgang-detail-header.component';
import { VorgangDetailPageComponent } from './vorgang-detail-page/vorgang-detail-page.component';

const routes: Routes = [
	{
		path: '',
		component: VorgangDetailPageComponent
	}
];

@NgModule({
	imports: [
		CommonModule,
		RouterModule.forChild(routes),
		VorgangSharedModule,
		UiModule,
		TechSharedModule,
		WiedervorlageModule,
		OzgFileModule,
		ForwardingModule,
		KommentarModule,
		VorgangSharedUiModule,
		UserProfileModule,
		UserProfileSharedModule
	],
	declarations: [
		VorgangDetailPageComponent,
		VorgangDetailAreaComponent,
		VorgangDetailHeaderComponent,
		VorgangDetailBodyComponent,
		AntragstellerComponent,
		FormDataTableComponent,
		EingangHeaderComponent,
		VorgangDetailActionButtonsComponent,
		VorgangDetailFormularButtonsComponent,
		AnnehmenButtonComponent,
		BearbeitenButtonComponent,
		VerwerfenButtonComponent,
		ZurueckholenButtonComponent,
		BescheidenButtonComponent,
		AbschliessenButtonComponent,
		ZurueckstellenButtonComponent,
		WiedereroeffnenButtonComponent
	]
})
export class VorgangDetailModule { }
