import { ComponentFixture, TestBed } from '@angular/core/testing';
import { VorgangResource } from '@goofy-client/vorgang-shared';
import { createVorgangResource } from 'libs/vorgang-shared/test/vorgang';
import { AktenzeichenComponent } from './aktenzeichen.component';

describe('AktenzeichenComponent', () => {
	let component: AktenzeichenComponent;
	let fixture: ComponentFixture<AktenzeichenComponent>;

	const vorgang: VorgangResource = createVorgangResource();

	const aktenzeichen: string = '[data-test-id="aktenzeichen"]';

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [AktenzeichenComponent]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(AktenzeichenComponent);
		component = fixture.componentInstance;
		component.vorgang = vorgang;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('aktenzeichen', () => {
		it('should show default message', () => {
			component.vorgang = { ...createVorgangResource(), aktenzeichen: null };

			fixture.detectChanges();
			const aktenzeichenMessage: HTMLElement = fixture.nativeElement.querySelector(aktenzeichen);

			expect(aktenzeichenMessage.innerHTML).toBe(component.noAktenzeichenMessage);
		})

		it('should show aktenzeichen', () => {
			component.vorgang = vorgang;

			fixture.detectChanges();
			const aktenzeichenMessage: HTMLElement = fixture.nativeElement.querySelector(aktenzeichen);

			expect(aktenzeichenMessage.textContent).toBe(vorgang.aktenzeichen);
		})
	})
});
