import { Component } from '@angular/core';
import { ApiRootLinkRel, ApiRootResource, ApiRootService } from '@goofy-client/api-root-shared';
import { createEmptyStateResource, StateResource } from '@goofy-client/tech-shared';
import { Observable, of } from 'rxjs';

@Component({
	selector: 'goofy-client-vorgang-search-container',
	templateUrl: './vorgang-search-container.component.html',
	styleUrls: ['./vorgang-search-container.component.scss']
})
export class VorgangSearchContainerComponent {

	public apiRoot$: Observable<StateResource<ApiRootResource>> = of(createEmptyStateResource<ApiRootResource>());

	readonly linkRel = ApiRootLinkRel;

	constructor(private apiRoot: ApiRootService) {
		this.apiRoot$ = this.apiRoot.getApiRoot();
	}
}