import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { TechSharedModule } from '@goofy-client/tech-shared';
import { UiModule } from '@goofy-client/ui';
import { VorgangSharedModule } from '@goofy-client/vorgang-shared';
import { AktenzeichenComponent } from './aktenzeichen/aktenzeichen.component';
import { StatusDotComponent } from './status-dot/status-dot.component';
import { VorgangSearchContainerComponent } from './vorgang-search-container/vorgang-search-container.component';
import { VorgangSearchComponent } from './vorgang-search-container/vorgang-search/vorgang-search.component';

@NgModule({
	imports: [
		CommonModule,
		VorgangSharedModule,
		UiModule,
		RouterModule,
		TechSharedModule
	],
	declarations: [
		VorgangSearchContainerComponent,
		VorgangSearchComponent,
		AktenzeichenComponent,
		StatusDotComponent
	],
	exports: [
		VorgangSearchContainerComponent,
		AktenzeichenComponent,
		StatusDotComponent
	]
})
export class VorgangSharedUiModule { }
