import { ComponentFixture, TestBed } from '@angular/core/testing';
import { mock } from '@goofy-client/test-utils';
import { VorgangListService } from '@goofy-client/vorgang-shared';
import { MockComponent } from 'ng-mocks';
import { VorgangListContainerComponent } from './vorgang-list-container.component';
import { VorgangListComponent } from './vorgang-list/vorgang-list.component';

describe('VorgangListContainerComponent', () => {
	let component: VorgangListContainerComponent;
	let fixture: ComponentFixture<VorgangListContainerComponent>;

	const vorgangListService = mock(VorgangListService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangListContainerComponent,
				MockComponent(VorgangListComponent)
			],
			providers: [
				{
					provide: VorgangListService,
					useValue: vorgangListService
				}
			],
		})
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangListContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('load next page', () => {

		it('should call vorgang list service loadNextPage', () => {
			component.loadNextPage();

			expect(vorgangListService.loadNextPage).toHaveBeenCalled();
		})
	})
});
