import { Component } from '@angular/core';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangListResource, VorgangListService, VorgangResource } from '@goofy-client/vorgang-shared';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-vorgang-list-container',
	templateUrl: './vorgang-list-container.component.html',
	styleUrls: ['./vorgang-list-container.component.scss']
})
export class VorgangListContainerComponent {

	public vorgangListPageResource$: Observable<StateResource<VorgangListResource>>;
	public vorgaenge$: Observable<VorgangResource[]>
	public hasNextPage$: Observable<boolean>;
	public searchString$: Observable<string>;

	constructor(private vorgangListService: VorgangListService) {
		this.vorgaenge$ = this.vorgangListService.getVorgaenge();
		this.hasNextPage$ = this.vorgangListService.hasNextPage();
		this.vorgangListPageResource$ = this.vorgangListService.getVorgangList();
		this.searchString$ = this.vorgangListService.getSearchString();
	}

	loadNextPage(): void {
		this.vorgangListService.loadNextPage();
	}
}
