import { ComponentFixture, TestBed } from '@angular/core/testing';

import { EmptyListComponent } from './empty-list.component';
import { of } from 'rxjs';

describe('EmptyListComponent', () => {
	let component: EmptyListComponent;
	let fixture: ComponentFixture<EmptyListComponent>;

	const emptyDatabaseText: string = '[data-test-id="empty-database-text"]';
	const emptyListText: string = '[data-test-id="empty-list-text"]';


	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [EmptyListComponent]
		})
			.compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(EmptyListComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('should show', () => {
		it('empty database text', () => {
			const element = fixture.nativeElement.querySelector(emptyDatabaseText);

			expect(element).toBeInstanceOf(HTMLElement);
		})

		it('empty list when searched', () => {
			component.searchString = 'aktenzeichen';
			fixture.detectChanges();

			const element = fixture.nativeElement.querySelector(emptyListText);

			expect(element).toBeInstanceOf(HTMLElement);
		})
	})
});
