import { registerLocaleData } from '@angular/common';
import localeDe from '@angular/common/locales/de';
import localeDeExtra from '@angular/common/locales/extra/de';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatIcon } from '@angular/material/icon';
import { FormatListDatePipe, HasLinkPipe, ToTrafficLightPipe } from '@goofy-client/tech-shared';
import { VorgangHeaderLinkRel } from '@goofy-client/vorgang-shared';
import { createVorgangResource } from 'libs/vorgang-shared/test/vorgang';
import { WiedervorlageListInVorgangListContainerComponent } from 'libs/wiedervorlage/src/lib/wiedervorlage-list-in-vorgang-list-container/wiedervorlage-list-in-vorgang-list-container.component';
import { MockComponent } from 'ng-mocks';
import { VorgangNextFristButton } from './vorgang-next-frist-button.component';

registerLocaleData(localeDe, 'de', localeDeExtra);

describe('VorgangNextFristButton', () => {
	let component: VorgangNextFristButton;
	let fixture: ComponentFixture<VorgangNextFristButton>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangNextFristButton,
				ToTrafficLightPipe,
				FormatListDatePipe,
				HasLinkPipe,
				MatIcon,
				MockComponent(WiedervorlageListInVorgangListContainerComponent),
			]
		})
			.compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangNextFristButton);
		component = fixture.componentInstance;
		component.vorgang = createVorgangResource([VorgangHeaderLinkRel.VORGANG_WITH_EINGANG]);
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
