import { ScrollingModule } from '@angular/cdk/scrolling';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createEmptyStateResource } from '@goofy-client/tech-shared';
import { SpinnerComponent } from 'libs/ui/src/lib/ui/spinner/spinner.component';
import { createVorgangResource } from 'libs/vorgang-shared/test/vorgang';
import { MockComponent } from 'ng-mocks';
import { EmptyListComponent } from './empty-list/empty-list.component';
import { VorgangListItemComponent } from './vorgang-list-item/vorgang-list-item.component';
import { VorgangListComponent } from './vorgang-list.component';

describe('VorgangListComponent', () => {
	let component: VorgangListComponent;
	let fixture: ComponentFixture<VorgangListComponent>;

	const vorgangListItem: string = 'goofy-client-vorgang-list-item';
	const emptyList: string = '[data-test-id="empty-list"]';

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			imports: [
				ScrollingModule
			],
			declarations: [
				VorgangListComponent,
				MockComponent(SpinnerComponent),
				MockComponent(VorgangListItemComponent),
				MockComponent(EmptyListComponent)
			],
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangListComponent);
		component = fixture.componentInstance;
		component.vorgangListPageResource = createEmptyStateResource();
		component.vorgaenge = [createVorgangResource(), createVorgangResource()];
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	it('should have vorgang-list-item', () => {
		fixture.detectChanges();

		const elements = fixture.nativeElement.querySelectorAll(vorgangListItem);

		expect(elements).toHaveLength(2);
	});

	it('should have empty list', () => {
		component.vorgaenge = [];
		fixture.detectChanges();

		const emptyListElement = fixture.nativeElement.querySelector(emptyList);

		expect(emptyListElement).toBeInstanceOf(HTMLElement);
	});
});
