import { CdkVirtualScrollViewport } from '@angular/cdk/scrolling';
import { Component, EventEmitter, Input, Output, ViewChild } from '@angular/core';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangListResource, VorgangResource } from '@goofy-client/vorgang-shared';

@Component({
	selector: 'goofy-client-vorgang-list',
	templateUrl: './vorgang-list.component.html',
	styleUrls: ['./vorgang-list.component.scss']
})
export class VorgangListComponent {

	@Input() vorgangListPageResource: StateResource<VorgangListResource>;
	@Input() vorgaenge: VorgangResource[];
	@Input() searchString: string;
	@Input() hasNextPage: boolean;

	@Output() private nextPage: EventEmitter<void> = new EventEmitter<void>();

	@ViewChild(CdkVirtualScrollViewport) viewport: CdkVirtualScrollViewport;

	nextBatch(): void {
		if (this.shouldLoadNextPage()) {
			this.nextPage.emit();
		}
	}

	private shouldLoadNextPage(): boolean {
		return !this.vorgangListPageResource.loading && this.isEndOfList() && this.hasNextPage;
	}

	private isEndOfList(): boolean {
		return this.viewport.getRenderedRange().end == this.viewport.getDataLength();
	}

	getName(vorgang: VorgangResource): string {
		return vorgang.name;
	}
}
