import { ScrollingModule } from '@angular/cdk/scrolling';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TechSharedModule } from '@goofy-client/tech-shared';
import { UiModule } from '@goofy-client/ui';
import { UserProfileModule } from '@goofy-client/user-profile';
import { VorgangSharedModule } from '@goofy-client/vorgang-shared';
import { VorgangSharedUiModule } from '@goofy-client/vorgang-shared-ui';
import { WiedervorlageModule } from '@goofy-client/wiedervorlage';
import { VorgangListContainerComponent } from './vorgang-list-container/vorgang-list-container.component';
import { EmptyListComponent } from './vorgang-list-container/vorgang-list/empty-list/empty-list.component';
import { VorgangListItemComponent } from './vorgang-list-container/vorgang-list/vorgang-list-item/vorgang-list-item.component';
import { VorgangNextFristButton } from './vorgang-list-container/vorgang-list/vorgang-list-item/vorgang-next-frist-button/vorgang-next-frist-button.component';
import { VorgangListComponent } from './vorgang-list-container/vorgang-list/vorgang-list.component';
import { VorgangListPageComponent } from './vorgang-list-page/vorgang-list-page.component';

const routes: Routes = [
	{
		path: '',
		component: VorgangListPageComponent
	},
	{
		path: 'search/:search',
		component: VorgangListPageComponent
	},
	{
		path: 'vorgang/:vorgangWithEingangUrl',
		loadChildren: () => import('@goofy-client/vorgang-detail').then(m => m.VorgangDetailModule)
	}
];

@NgModule({
	imports: [
		CommonModule,
		TechSharedModule,
		ScrollingModule,
		UiModule,
		RouterModule.forChild(routes),
		VorgangSharedModule,
		WiedervorlageModule,
		VorgangSharedUiModule,
		UserProfileModule
	],
	declarations: [
		VorgangListComponent,
		VorgangListItemComponent,
		VorgangListContainerComponent,
		VorgangListPageComponent,
		EmptyListComponent,
		VorgangNextFristButton
	]
})
export class VorgangModule { }
