import { CreateCommand } from '@goofy-client/command-shared';
import { ListResource } from '@goofy-client/tech-shared';
import { Resource, ResourceUri } from '@ngxp/rest';

export interface Wiedervorlage {
	done: boolean;
	betreff: string;
	beschreibung: string;
	frist: Date;
	createdByName: string;
	createdAt: Date;
	attachments: ResourceUri[]
}

export interface WiedervorlageResource extends Wiedervorlage, Resource { }
export interface WiedervorlageListResource extends ListResource { }

export enum WiedervorlageOrder {
	CREATE_WIEDERVORLAGE = 'CREATE_WIEDERVORLAGE',
	EDIT_WIEDERVORLAGE = 'EDIT_WIEDERVORLAGE',
	WIEDEREROEFFNEN = 'WIEDERVORLAGE_WIEDEREROEFFNEN',
	ERLEDIGEN = 'WIEDERVORLAGE_ERLEDIGEN',
}

export interface CreateWiedervorlageCommand extends CreateCommand {
	order: WiedervorlageOrder,
	wiedervorlage: Wiedervorlage
}