import { Injectable } from '@angular/core';
import { VorgangHeaderLinkRel, VorgangResource } from '@goofy-client/vorgang-shared';
import { ResourceFactory, ResourceUri } from '@ngxp/rest';
import { Observable } from 'rxjs';
import { WiedervorlageListResource, WiedervorlageResource } from './wiedervorlage.model';

@Injectable({ providedIn: 'root' })
export class WiedervorlageRepository {

	constructor(private resourceFactory: ResourceFactory) { }

	public findByVorgang(vorgangResource: VorgangResource): Observable<WiedervorlageListResource> {
		return this.resourceFactory.from(vorgangResource).get(VorgangHeaderLinkRel.WIEDERVORLAGEN);
	}

	public getWiedervorlage(wiedervorlageUri: ResourceUri): Observable<WiedervorlageResource> {
		return this.resourceFactory.fromId(wiedervorlageUri).get();
	}
}