import * as faker from 'faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { times } from 'lodash-es';
import { WiedervorlageListLinkRel } from '../src/lib/wiedervorlage.linkrel';
import { Wiedervorlage, WiedervorlageListResource, WiedervorlageResource } from '../src/lib/wiedervorlage.model';

const past = new Date();
const future = new Date();

past.setDate(past.getDate() - 2);
future.setDate(future.getDate() + 2);

export function createWiedervorlage(): Wiedervorlage {
	return {
		done: faker.datatype.boolean(),
		betreff: faker.lorem.words(3),
		beschreibung: faker.lorem.words(12),
		frist: faker.date.between(past, future),
		createdByName: faker.name.findName(),
		createdAt: faker.date.past(),
		attachments: [faker.internet.url()]
	}
}

export function createWiedervorlageResource(linkRelations: string[] = []): WiedervorlageResource {
	return toResource(createWiedervorlage(), linkRelations);
}

export function createWiedervorlageResources(linkRelations: string[] = []): WiedervorlageResource[] {
	return times(10, () => toResource(createWiedervorlageResource(), [...linkRelations]));
}

export function createWiedervorlageListResource(linkRelations: string[] = []): WiedervorlageListResource {
	return toResource({}, [...linkRelations], {
		[WiedervorlageListLinkRel.WIEDERVORLAGE_LIST]: createWiedervorlageResources()
	});
}
