import { Component, Input, OnChanges } from '@angular/core';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangHeaderLinkRel, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { WiedervorlageListResource, WiedervorlageService } from '@goofy-client/wiedervorlage-shared';
import { hasLink } from '@ngxp/rest';
import { isNil } from 'lodash-es';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-create-wiedervorlage-button-container',
	templateUrl: './create-wiedervorlage-button-container.component.html',
	styleUrls: ['./create-wiedervorlage-button-container.component.scss']
})
export class CreateWiedervorlageButtonContainerComponent implements OnChanges {

	@Input() vorgang: VorgangWithEingangResource;
	@Input() showAsIconButton: boolean;

	wiedervorlageListStateResource$: Observable<StateResource<WiedervorlageListResource>>;

	constructor(private wiedervorlageService: WiedervorlageService) { }

	ngOnChanges(): void {
		if (!isNil(this.vorgang) && hasLink(this.vorgang, VorgangHeaderLinkRel.WIEDERVORLAGEN)) {
			this.wiedervorlageListStateResource$ = this.wiedervorlageService.getWiedervorlagenByVorgang(this.vorgang);
		}
	}
}