import { Component, Input } from '@angular/core';
import { CommandResource } from '@goofy-client/command-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { WiedervorlageLinkRel, WiedervorlageResource, WiedervorlageService } from '@goofy-client/wiedervorlage-shared';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-erledigen-button-container',
	templateUrl: './erledigen-button-container.component.html',
	styleUrls: ['./erledigen-button-container.component.scss']
})
export class ErledigenButtonContainerComponent {

	@Input() wiedervorlage: WiedervorlageResource;

	erledigenCommand$: Observable<StateResource<CommandResource>>;

	readonly linkRel = WiedervorlageLinkRel;

	constructor(private wiedervorlageService: WiedervorlageService) { }

	erledigen(): void {
		this.erledigenCommand$ = this.wiedervorlageService.erledigen();
	}
}
