import { Component, Input } from '@angular/core';
import { CommandResource } from '@goofy-client/command-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { WiedervorlageLinkRel, WiedervorlageResource, WiedervorlageService } from '@goofy-client/wiedervorlage-shared';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-wiedereroeffnen-button-container',
	templateUrl: './wiedereroeffnen-button-container.component.html',
	styleUrls: ['./wiedereroeffnen-button-container.component.scss']
})
export class WiedereroeffnenButtonContainerComponent {

	@Input() wiedervorlage: WiedervorlageResource;

	wiedereroeffnenCommand$: Observable<StateResource<CommandResource>>;

	readonly linkRel = WiedervorlageLinkRel;

	constructor(private wiedervorlageService: WiedervorlageService) { }

	wiedereroeffnen(): void {
		this.wiedereroeffnenCommand$ = this.wiedervorlageService.wiedereroeffnen();
	}
}