import { ComponentFixture, TestBed } from '@angular/core/testing';
import { AnhangListInWiedervorlageComponent } from '@goofy-client/ozg-file';
import { ToEmbeddedResourcesPipe } from '@goofy-client/tech-shared';
import { mock } from '@goofy-client/test-utils';
import { WiedervorlageService } from '@goofy-client/wiedervorlage-shared';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { of } from 'rxjs';
import { WiedervorlageAttachmentListComponent } from './wiedervorlage-attachment-list.component';

describe('WiedervorlageAttachmentListComponent', () => {
	let component: WiedervorlageAttachmentListComponent;
	let fixture: ComponentFixture<WiedervorlageAttachmentListComponent>;

	const wiedervorlageService = { ...mock(WiedervorlageService), getAttachmentList: () => of(null) };

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				WiedervorlageAttachmentListComponent,
				ToEmbeddedResourcesPipe,
				MockComponent(AnhangListInWiedervorlageComponent)
			],
			providers: [
				{
					provide: WiedervorlageService,
					useValue: wiedervorlageService
				}
			]
		})
	})

	beforeEach(() => {
		fixture = TestBed.createComponent(WiedervorlageAttachmentListComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
