import { Component, Input, OnChanges } from '@angular/core';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangHeaderLinkRel, VorgangResource } from '@goofy-client/vorgang-shared';
import { WiedervorlageListResource, WiedervorlageService } from '@goofy-client/wiedervorlage-shared';
import { isNil } from 'lodash-es';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-wiedervorlage-list-in-vorgang-container',
	templateUrl: './wiedervorlage-list-in-vorgang-container.component.html',
	styleUrls: ['./wiedervorlage-list-in-vorgang-container.component.scss']
})
export class WiedervorlageListInVorgangContainerComponent implements OnChanges {

	@Input() vorgang: VorgangResource;

	wiedervorlagenStateResource$: Observable<StateResource<WiedervorlageListResource>>;

	vorgangLinkRel = VorgangHeaderLinkRel;

	constructor(private wiedervorlageService: WiedervorlageService) { }

	ngOnChanges(): void {
		if (!isNil(this.vorgang)) {
			this.wiedervorlagenStateResource$ = this.wiedervorlageService.getWiedervorlagenByVorgang(this.vorgang);
		}
	}
}