import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { HasLinkPipe } from '@goofy-client/tech-shared';
import { ButtonWithSpinnerComponent, IconButtonWithSpinnerComponent } from '@goofy-client/ui';
import { WiedervorlageListLinkRel } from '@goofy-client/wiedervorlage-shared';
import { createWiedervorlageListResource } from 'libs/wiedervorlage-shared/test/wiedervorlage';
import { MockComponent } from 'ng-mocks';
import { WiedervorlageCreateButtonComponent } from './wiedervorlage-create-button.component';

describe('WiedervorlageCreateButtonComponent', () => {
	let component: WiedervorlageCreateButtonComponent;
	let fixture: ComponentFixture<WiedervorlageCreateButtonComponent>;

	const wiedervorlageButton: string = '[data-test-id="create-wiedervorlage"]';

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				WiedervorlageCreateButtonComponent,
				HasLinkPipe,
				MockComponent(ButtonWithSpinnerComponent),
				MockComponent(IconButtonWithSpinnerComponent)
			],
			imports: [
				RouterTestingModule
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(WiedervorlageCreateButtonComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('create Wiedervorlage button', () => {

		it('should be visible', () => {
			component.wiedervorlageList = createWiedervorlageListResource([WiedervorlageListLinkRel.CREATE_WIEDERVORLAGE]);

			fixture.detectChanges();
			const button = fixture.nativeElement.querySelector(wiedervorlageButton);

			expect(button).toBeInstanceOf(HTMLElement);
		})

		it('should be hidden', () => {
			component.wiedervorlageList = createWiedervorlageListResource();

			fixture.detectChanges();
			const button = fixture.nativeElement.querySelector(wiedervorlageButton);

			expect(button).not.toBeInstanceOf(HTMLElement);
		})
	})
})