import { DatePipe } from '@angular/common';
import { Component, Input, OnInit } from '@angular/core';
import { replacePlaceholders } from '@goofy-client/tech-shared';
import { WiedervorlageLinkRel, WiedervorlageMessages, WiedervorlageResource } from '@goofy-client/wiedervorlage-shared';

@Component({
	selector: 'goofy-client-wiedervorlage-in-vorgang',
	templateUrl: './wiedervorlage-in-vorgang.component.html',
	styleUrls: ['./wiedervorlage-in-vorgang.component.scss']
})
export class WiedervorlageInVorgangComponent implements OnInit {

	@Input() wiedervorlageResource: WiedervorlageResource;
	tooltip: string;
	expanded: boolean;

	readonly linkRel = WiedervorlageLinkRel;

	constructor(private datePipe: DatePipe) { }

	ngOnInit() {
		this.tooltip = this.formatTooltip();
	}

	private formatTooltip(): string {
		const replacement = {
			betreff: this.wiedervorlageResource.betreff,
			createdAt: this.datePipe.transform(this.wiedervorlageResource.createdAt),
			createdByName: this.wiedervorlageResource.createdByName
		}
		return replacePlaceholders(WiedervorlageMessages.TOOLTIP, replacement);
	}

	toggle() {
		this.expanded = !this.expanded;
	}
}
