import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createStateResource, ToEmbeddedResourcesPipe } from '@goofy-client/tech-shared';
import { ExpansionPanelComponent, SpinnerComponent } from '@goofy-client/ui';
import { createWiedervorlageListResource } from 'libs/wiedervorlage-shared/test/wiedervorlage';
import { MockComponent } from 'ng-mocks';
import { WiedervorlageCreateButtonComponent } from './wiedervorlage-create-button/wiedervorlage-create-button.component';
import { WiedervorlageInVorgangComponent } from './wiedervorlage-in-vorgang/wiedervorlage-in-vorgang.component';
import { WiedervorlageListInVorgangComponent } from './wiedervorlage-list-in-vorgang.component';

describe('WiedervorlageListInVorgangComponent', () => {
	let component: WiedervorlageListInVorgangComponent;
	let fixture: ComponentFixture<WiedervorlageListInVorgangComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [WiedervorlageListInVorgangComponent,
				MockComponent(SpinnerComponent),
				MockComponent(ExpansionPanelComponent),
				MockComponent(WiedervorlageInVorgangComponent),
				MockComponent(WiedervorlageCreateButtonComponent),
				ToEmbeddedResourcesPipe
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(WiedervorlageListInVorgangComponent);
		component = fixture.componentInstance;
		component.wiedervorlageListStateResource = createStateResource(createWiedervorlageListResource());
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	})
});
