import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createStateResource, FormatListDatePipe, ToTrafficLightTooltipPipe } from '@goofy-client/tech-shared';
import { mock } from '@goofy-client/test-utils';
import { WiedervorlageService } from '@goofy-client/wiedervorlage-shared';
import { createWiedervorlageListResource } from 'libs/wiedervorlage-shared/test/wiedervorlage';
import { MockComponent } from 'ng-mocks';
import { of } from 'rxjs';
import { WiedervorlageStatusComponent } from '../wiedervorlage-status/wiedervorlage-status.component';
import { WiedervorlageListInVorgangListContainerComponent } from './wiedervorlage-list-in-vorgang-list-container.component';
import { MatTooltip } from '@angular/material/tooltip';

describe('WiedervorlageListInVorgangListContainerComponent', () => {
	let component: WiedervorlageListInVorgangListContainerComponent;
	let fixture: ComponentFixture<WiedervorlageListInVorgangListContainerComponent>;

	const wiedervorlageService = { ...mock(WiedervorlageService), getWiedervorlagenByVorgang: () => of(createStateResource(createWiedervorlageListResource())) };

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				WiedervorlageListInVorgangListContainerComponent,
				MatTooltip,
				FormatListDatePipe,
				ToTrafficLightTooltipPipe,
				MockComponent(WiedervorlageStatusComponent)
			],
			providers: [
				{
					provide: WiedervorlageService,
					useValue: wiedervorlageService
				}
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(WiedervorlageListInVorgangListContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
