import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormBuilder } from '@angular/forms';
import { mock } from '@goofy-client/test-utils';
import { SpinnerComponent, SubnavigationComponent } from '@goofy-client/ui';
import { VorgangService } from '@goofy-client/vorgang-shared';
import { WiedervorlageService } from '@goofy-client/wiedervorlage-shared';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { WiedervorlageStatusComponent } from '../wiedervorlage-status/wiedervorlage-status.component';
import { WiedervorlagePageContainerComponent } from './wiedervorlage-page-container.component';
import { BreadcrumbComponent } from './wiedervorlage-page/breadcrumb/breadcrumb.component';
import { WiedervorlageActionButtonsComponent } from './wiedervorlage-page/wiedervorlage-action-buttons/wiedervorlage-action-buttons.component';
import { WiedervorlageFormComponent } from './wiedervorlage-page/wiedervorlage-form/wiedervorlage-form.component';
import { WiedervorlagePageComponent } from './wiedervorlage-page/wiedervorlage-page.component';

describe('WiedervorlagePageContainerComponent', () => {
	let component: WiedervorlagePageContainerComponent;
	let fixture: ComponentFixture<WiedervorlagePageContainerComponent>;

	const wiedervorlageService = mock(WiedervorlageService);
	const vorgangService = mock(VorgangService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				WiedervorlagePageContainerComponent,
				MockComponent(WiedervorlagePageComponent),
				MockComponent(SubnavigationComponent),
				MockComponent(WiedervorlageActionButtonsComponent),
				MockComponent(WiedervorlageFormComponent),
				MockComponent(SpinnerComponent),
				MockComponent(BreadcrumbComponent),
				MockComponent(WiedervorlageStatusComponent)
			],
			providers: [
				FormBuilder,
				{
					provide: VorgangService,
					useValue: vorgangService
				},
				{
					provide: WiedervorlageService,
					useValue: wiedervorlageService
				}
			]
		})
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(WiedervorlagePageContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
