import { AfterContentInit, Component } from '@angular/core';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangResource, VorgangService, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { WiedervorlageListResource, WiedervorlageResource, WiedervorlageService } from '@goofy-client/wiedervorlage-shared';
import { Observable } from 'rxjs';
import { WiedervorlageFormService } from './wiedervorlage-page/wiedervorlage-form/wiedervorlage.formservice';

@Component({
	selector: 'goofy-client-wiedervorlage-page-container',
	templateUrl: './wiedervorlage-page-container.component.html',
	styleUrls: ['./wiedervorlage-page-container.component.scss'],
	providers: [WiedervorlageFormService]
})
export class WiedervorlagePageContainerComponent implements AfterContentInit {

	vorgangStateResource$: Observable<StateResource<VorgangWithEingangResource>>;
	wiedervorlageStateResource$: Observable<StateResource<WiedervorlageResource>>;
	wiedervorlageListStateResource$: Observable<StateResource<WiedervorlageListResource>>;

	constructor(
		private wiedervorlageService: WiedervorlageService,
		private vorgangService: VorgangService,
	) { }

	ngAfterContentInit(): void {
		this.vorgangStateResource$ = this.vorgangService.getVorgangWithEingang();
		this.wiedervorlageStateResource$ = this.wiedervorlageService.getWiedervorlage();
	}

	loadWiedervorlageList(vorgang: VorgangResource): void {
		this.wiedervorlageListStateResource$ = this.wiedervorlageService.getWiedervorlagenByVorgang(vorgang);
	}
}