import { ComponentFixture, TestBed } from '@angular/core/testing';
import { mock } from '@goofy-client/test-utils';
import { SpinnerComponent } from '@goofy-client/ui';
import { VorgangService } from '@goofy-client/vorgang-shared';
import { AktenzeichenComponent } from '@goofy-client/vorgang-shared-ui';
import { configureTestSuite } from 'ng-bullet';
import { MockComponent } from 'ng-mocks';
import { BreadcrumbComponent } from './breadcrumb.component';

describe('BreadcrumbComponent', () => {
	let component: BreadcrumbComponent;
	let fixture: ComponentFixture<BreadcrumbComponent>;

	const vorgangService = mock(VorgangService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				BreadcrumbComponent,
				MockComponent(AktenzeichenComponent),
				MockComponent(SpinnerComponent)
			],
			providers: [
				{
					provide: VorgangService,
					useValue: vorgangService
				}
			]
		})
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(BreadcrumbComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});
