import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { VorgangResource } from '@goofy-client/vorgang-shared';
import { WiedervorlageMessages, WiedervorlageResource } from '@goofy-client/wiedervorlage-shared';

@Component({
	selector: 'goofy-client-breadcrumb',
	templateUrl: './breadcrumb.component.html',
	styleUrls: ['./breadcrumb.component.scss']
})
export class BreadcrumbComponent implements OnChanges {

	@Input() vorgang: VorgangResource;
	@Input() wiedervorlage: WiedervorlageResource;

	betreff: string;

	ngOnChanges(changes: SimpleChanges) {
		if (changes.wiedervorlage) {
			this.betreff = this.wiedervorlage ? this.wiedervorlage.betreff : WiedervorlageMessages.NEW;
		}
	}
}