import { Component, Input, OnChanges } from '@angular/core';
import { WiedervorlageResource, WiedervorlageValidationMessages } from '@goofy-client/wiedervorlage-shared';
import { isNull } from 'lodash-es';
import { WiedervorlageFormService } from './wiedervorlage.formservice';

@Component({
	selector: 'goofy-client-wiedervorlage-form',
	templateUrl: './wiedervorlage-form.component.html',
	styleUrls: ['./wiedervorlage-form.component.scss']
})

export class WiedervorlageFormComponent implements OnChanges {

	@Input() wiedervorlage: WiedervorlageResource;

	readonly wiedervorlageValidationMessages = WiedervorlageValidationMessages;
	readonly formServiceClass = WiedervorlageFormService;

	constructor(public formService: WiedervorlageFormService) { }

	ngOnChanges(): void {
		this.patchWiedervorlage();
	}

	patchWiedervorlage() {
		if (!isNull(this.wiedervorlage)) {
			this.formService.patch(this.wiedervorlage);
		}
	}
}