import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createStateResource } from '@goofy-client/tech-shared';
import { SpinnerComponent, SubnavigationComponent } from '@goofy-client/ui';
import { createWiedervorlageResource } from 'libs/wiedervorlage-shared/test/wiedervorlage';
import { MockComponent } from 'ng-mocks';
import { WiedervorlageStatusComponent } from '../../wiedervorlage-status/wiedervorlage-status.component';
import { BreadcrumbComponent } from './breadcrumb/breadcrumb.component';
import { WiedervorlageActionButtonsComponent } from './wiedervorlage-action-buttons/wiedervorlage-action-buttons.component';
import { WiedervorlageFormComponent } from './wiedervorlage-form/wiedervorlage-form.component';
import { WiedervorlagePageComponent } from './wiedervorlage-page.component';

describe('WiedervorlagePageComponent', () => {
	let component: WiedervorlagePageComponent;
	let fixture: ComponentFixture<WiedervorlagePageComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				WiedervorlagePageComponent,
				MockComponent(SubnavigationComponent),
				MockComponent(WiedervorlageActionButtonsComponent),
				MockComponent(WiedervorlageFormComponent),
				MockComponent(SpinnerComponent),
				MockComponent(BreadcrumbComponent),
				MockComponent(WiedervorlageStatusComponent)
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(WiedervorlagePageComponent);
		component = fixture.componentInstance;
		component.wiedervorlageStateResource = createStateResource(createWiedervorlageResource());
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
})