import { CommonModule, DatePipe } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { RouterModule, Routes } from '@angular/router';
import { BinaryFileModule } from '@goofy-client/binary-file';
import { OzgFileModule } from '@goofy-client/ozg-file';
import { TechSharedModule } from '@goofy-client/tech-shared';
import { UiModule } from '@goofy-client/ui';
import { VorgangSharedModule } from '@goofy-client/vorgang-shared';
import { VorgangSharedUiModule } from '@goofy-client/vorgang-shared-ui';
import { CreateWiedervorlageButtonContainerComponent } from './create-wiedervorlage-button-container/create-wiedervorlage-button-container.component';
import { ErledigenButtonContainerComponent } from './erledigen-button-container/erledigen-button-container.component';
import { SubmitWiedervorlageButtonComponent } from './submit-wiedervorlage-button/submit-wiedervorlage-button.component';
import { WiedereroeffnenButtonContainerComponent } from './wiedereroeffnen-button-container/wiedereroeffnen-button-container.component';
import { WiedervorlageAttachmentListComponent } from './wiedervorlage-attachment-list/wiedervorlage-attachment-list.component';
import { WiedervorlageAttachmentsComponent } from './wiedervorlage-attachments/wiedervorlage-attachments.component';
import { WiedervorlageListInVorgangContainerComponent } from './wiedervorlage-list-in-vorgang-container/wiedervorlage-list-in-vorgang-container.component';
import { WiedervorlageCreateButtonComponent } from './wiedervorlage-list-in-vorgang-container/wiedervorlage-list-in-vorgang/wiedervorlage-create-button/wiedervorlage-create-button.component';
import { WiedervorlageAttachmentListInVorgangComponent } from './wiedervorlage-list-in-vorgang-container/wiedervorlage-list-in-vorgang/wiedervorlage-in-vorgang/wiedervorlage-attachment-list-in-vorgang/wiedervorlage-attachment-list-in-vorgang.component';
import { WiedervorlageInVorgangComponent } from './wiedervorlage-list-in-vorgang-container/wiedervorlage-list-in-vorgang/wiedervorlage-in-vorgang/wiedervorlage-in-vorgang.component';
import { WiedervorlageListInVorgangComponent } from './wiedervorlage-list-in-vorgang-container/wiedervorlage-list-in-vorgang/wiedervorlage-list-in-vorgang.component';
import { WiedervorlageListInVorgangListContainerComponent } from './wiedervorlage-list-in-vorgang-list-container/wiedervorlage-list-in-vorgang-list-container.component';
import { WiedervorlagePageContainerComponent } from './wiedervorlage-page-container/wiedervorlage-page-container.component';
import { BreadcrumbComponent } from './wiedervorlage-page-container/wiedervorlage-page/breadcrumb/breadcrumb.component';
import { WiedervorlageActionButtonsComponent } from './wiedervorlage-page-container/wiedervorlage-page/wiedervorlage-action-buttons/wiedervorlage-action-buttons.component';
import { WiedervorlageFormComponent } from './wiedervorlage-page-container/wiedervorlage-page/wiedervorlage-form/wiedervorlage-form.component';
import { WiedervorlagePageComponent } from './wiedervorlage-page-container/wiedervorlage-page/wiedervorlage-page.component';
import { WiedervorlageStatusComponent } from './wiedervorlage-status/wiedervorlage-status.component';

const routes: Routes = [
	{
		path: 'wiedervorlage/:wiedervorlageUrl',
		component: WiedervorlagePageContainerComponent,
	}
];

@NgModule({
	imports: [
		CommonModule,
		RouterModule.forChild(routes),
		UiModule,
		VorgangSharedModule,
		TechSharedModule,
		ReactiveFormsModule,
		VorgangSharedUiModule,
		BinaryFileModule,
		OzgFileModule
	],
	declarations: [
		WiedervorlagePageComponent,
		WiedervorlageInVorgangComponent,
		WiedervorlageFormComponent,
		BreadcrumbComponent,
		WiedervorlageListInVorgangContainerComponent,
		WiedervorlageListInVorgangComponent,
		WiedervorlageActionButtonsComponent,
		WiedervorlagePageContainerComponent,
		WiedervorlageStatusComponent,
		WiedervorlageCreateButtonComponent,
		WiedervorlageListInVorgangListContainerComponent,
		SubmitWiedervorlageButtonComponent,
		WiedereroeffnenButtonContainerComponent,
		ErledigenButtonContainerComponent,
		CreateWiedervorlageButtonContainerComponent,
		WiedervorlageAttachmentsComponent,
		WiedervorlageAttachmentListComponent,
		WiedervorlageAttachmentListInVorgangComponent
	],
	providers: [DatePipe],
	exports: [
		WiedervorlageListInVorgangContainerComponent,
		WiedervorlageListInVorgangListContainerComponent,
		CreateWiedervorlageButtonContainerComponent
	]
})
export class WiedervorlageModule { }
