package de.itvsh.goofy;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import org.keycloak.adapters.springboot.KeycloakSpringBootProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/environment")
public class EnvironmentController {

	@Autowired
	private KeycloakSpringBootProperties kcProperties;

	@Value("${goofy.production}")
	private boolean production = true;

	@GetMapping
	public FrontendEnvironment getFrontendEnvironment() {
		return FrontendEnvironment.builder()//
				.production(production)//
				.remoteHost(apiRoot())//
				.authServer(kcProperties.getAuthServerUrl())//
				.realm(kcProperties.getRealm())
				.build();
	}

	private String apiRoot() {
		return linkTo(RootController.class).toUri().toString();
	}
}