package de.itvsh.goofy.attachment;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.hateoas.CollectionModel;
import org.springframework.hateoas.EntityModel;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import de.itvsh.goofy.common.file.OzgFile;
import de.itvsh.goofy.common.file.OzgFileModelAssembler;
import de.itvsh.goofy.common.file.OzgFileService;

@RestController
@RequestMapping(AttachmentController.ATTACHMENT_PATH)
public class AttachmentController {

	static final String ATTACHMENT_PATH = "/api/attachments"; // NOSONAR

	static final String PARAM_EINGANG_ID = "eingangId";

	@Autowired
	private OzgFileService fileService;
	@Autowired
	private OzgFileModelAssembler modelAssembler;

	@GetMapping(params = PARAM_EINGANG_ID)
	public CollectionModel<EntityModel<OzgFile>> getAllByEingang(@RequestParam String eingangId) {
		return modelAssembler.toCollectionModel(fileService.getAttachmentsByEingang(eingangId));
	}
}