package de.itvsh.goofy.common;

import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.stereotype.Service;

import de.itvsh.goofy.common.user.CurrentUserService;
import de.itvsh.ozg.pluto.grpc.command.GrpcCallContext;
import de.itvsh.ozg.pluto.grpc.command.GrpcUser;

@Service
public class ContextService {

	@Autowired
	private ApplicationContext context;

	@Autowired
	private CurrentUserService userService;

	public GrpcCallContext createCallContext() {
		return GrpcCallContext.newBuilder().setClient(context.getApplicationName()).setUser(createUser()).build();
	}

	private GrpcUser createUser() {
		var goofyUser = userService.getUser();

		return GrpcUser.newBuilder()
				.setId(goofyUser.getId().toString())
				.setName(goofyUser.getFullName())
				.addAllRoles(goofyUser.getAuthorities().stream().map(GrantedAuthority::getAuthority).collect(Collectors.toSet()))
				.build();
	}
}