package de.itvsh.goofy.common.command;

import java.time.ZonedDateTime;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonIgnore;

import de.itvsh.goofy.common.user.UserId;
import de.itvsh.goofy.vorgang.RedirectRequest;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Builder(toBuilder = true)
@Getter
@AllArgsConstructor(access = AccessLevel.PACKAGE)
@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class Command {

	@JsonIgnore
	private String id;
	private ZonedDateTime createdAt;
	private ZonedDateTime finishedAt;

	@JsonIgnore
	private UserId createdBy;
	private String createdByName;

	@JsonIgnore
	private CommandStatus status;
	private String errorMessage;

	@JsonIgnore
	private String vorgangId;
	@JsonIgnore
	private String relationId;
	private CommandOrder order;

	private RedirectRequest redirectRequest;

	private Map<String, String> body;
}