package de.itvsh.goofy.common.command;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingConstants;
import org.mapstruct.ValueMapping;

import de.itvsh.goofy.common.CallContextMapper;
import de.itvsh.goofy.common.TimeMapper;
import de.itvsh.goofy.common.user.UserId;
import de.itvsh.goofy.vorgang.RedirectRequest;
import de.itvsh.ozg.pluto.grpc.command.GrpcCommand;
import de.itvsh.ozg.pluto.grpc.command.GrpcRedirectRequest;

@Mapper(uses = { CallContextMapper.class, TimeMapper.class, CommandBodyMapper.class })
public interface CommandMapper {

	@ValueMapping(source = "UNRECOGNIZED", target = MappingConstants.NULL)
	@ValueMapping(source = "UNDEFINED", target = MappingConstants.NULL)
	Command toCommand(GrpcCommand grpcCommand);

	@Mapping(target = "mergeFrom", ignore = true)
	@Mapping(target = "clearField", ignore = true)
	@Mapping(target = "clearOneof", ignore = true)
	@Mapping(target = "mergeUnknownFields", ignore = true)
	@Mapping(target = "emailBytes", ignore = true)
	@Mapping(target = "passwordBytes", ignore = true)
	@Mapping(target = "unknownFields", ignore = true)
	@Mapping(target = "allFields", ignore = true)
	GrpcRedirectRequest toGrpcRedirectRequest(RedirectRequest request);

	default UserId mapUserId(String userId) {
		return UserId.from(userId);
	}
}
