package de.itvsh.goofy.common.command;

import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
public enum CommandOrder {
	VORGANG_ANNEHMEN(true, Type.VORGANG),
	VORGANG_VERWERFEN(true, Type.VORGANG),
	VORGANG_ZURUECKHOLEN(true, Type.VORGANG),
	VORGANG_BEARBEITEN(true, Type.VORGANG),
	VORGANG_BESCHEIDEN(true, Type.VORGANG),
	VORGANG_ZURUECKSTELLEN(true, Type.VORGANG),
	VORGANG_ABSCHLIESSEN(true, Type.VORGANG),
	VORGANG_WIEDEREROEFFNEN(true, Type.VORGANG),
	//
	ASSIGN_USER(false, Type.VORGANG),
	//
	REDIRECT_VORGANG(false, Type.FORWARDING),
	FORWARD_SUCCESSFULL(false, Type.FORWARDING),
	FORWARD_FAILED(false, Type.FORWARDING),
	//
	CREATE_KOMMENTAR(false, Type.KOMMENTAR),
	EDIT_KOMMENTAR(false, Type.KOMMENTAR),

	CREATE_WIEDERVORLAGE(false, Type.WIEDERVORLAGE),
	EDIT_WIEDERVORLAGE(false, Type.WIEDERVORLAGE),
	WIEDERVORLAGE_ERLEDIGEN(false, Type.WIEDERVORLAGE),
	WIEDERVORLAGE_WIEDEREROEFFNEN(false, Type.WIEDERVORLAGE);

	enum Type {
		VORGANG, WIEDERVORLAGE, KOMMENTAR, FORWARDING
	}

	private final boolean revokeable;
	@Getter(value = AccessLevel.PROTECTED)
	private final Type type;

}