package de.itvsh.goofy.common.command;

import java.util.Map;

import javax.validation.Valid;

import com.fasterxml.jackson.annotation.JsonIgnore;

import de.itvsh.goofy.common.user.UserId;
import de.itvsh.goofy.vorgang.RedirectRequest;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@Builder(toBuilder = true)
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class CreateCommand {

	@JsonIgnore
	private UserId createdBy;
	@JsonIgnore
	private CommandStatus status;

	private String vorgangId;
	private String relationId;
	private CommandOrder order;

	@Valid
	private RedirectRequest redirectRequest;

	private Map<String, String> body;
}