package de.itvsh.goofy.common.errorhandling;

import lombok.Getter;

public class FunctionalException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	@Getter
	private final FunctionalErrorCode errorCode;

	public FunctionalException(FunctionalErrorCode errorCode) {
		super("Functional error: " + errorCode.getErrorCode());
		this.errorCode = errorCode;
	}

	public FunctionalException(FunctionalErrorCode errorCode, Throwable cause) {
		super(cause);
		this.errorCode = errorCode;
	}

	public FunctionalException(FunctionalErrorCode errorCode, String message) {
		super(message);
		this.errorCode = errorCode;
	}

	public FunctionalException(FunctionalErrorCode errorCode, String message, Throwable cause) {
		super(message, cause);
		this.errorCode = errorCode;
	}
}
