package de.itvsh.goofy.common.errorhandling;

import lombok.Getter;

@Getter
public class ResourceNotFoundException extends RuntimeException {

	private static final long serialVersionUID = 1L;
	private static final String MESSAGE_TEMPLATE = "EntityModel '%s' with id '%s' not found.";

	private final String resourceName;
	private final transient Object id;

	public ResourceNotFoundException(Class<?> resource, Object id) {
		super(String.format(MESSAGE_TEMPLATE, resource.getSimpleName(), id.toString()));
		this.resourceName = resource.getSimpleName();
		this.id = id;
	}

	public ResourceNotFoundException(String message) {
		super(message);
		this.resourceName = null;
		this.id = null;
	}
}