package de.itvsh.goofy.common.file;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.ByteArrayResource;
import org.springframework.core.io.Resource;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import de.itvsh.goofy.binary.FileId;

@RestController
@RequestMapping(OzgFileDataController.OZG_FILE_PATH)
public class OzgFileDataController {

	static final String OZG_FILE_PATH = "/api/ozgfiledata"; // NOSONAR

	@Autowired
	private OzgFileService service;

	@GetMapping("{fileId}")
	public ResponseEntity<Resource> getFileData(@PathVariable FileId fileId) {
		var ozgFileData = service.getOzgFileData(fileId);

		return ResponseEntity.ok()
				.header(HttpHeaders.CONTENT_DISPOSITION, String.format("attachment; filename=%s", ozgFileData.getName()))
				.contentType(MediaType.valueOf(ozgFileData.getContentType()))
				.contentLength(ozgFileData.getSize())
				.body(new ByteArrayResource(ozgFileData.getContent().toByteArray()));
	}
}