package de.itvsh.goofy.common.file;

import java.util.stream.Stream;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.itvsh.goofy.binary.FileId;

@Service
public class OzgFileService {

	@Autowired
	private OzgFileRemoteService remoteService;

	public Stream<OzgFile> getAttachmentsByEingang(String eingangId) {
		return Stream.concat(remoteService.getRepresentationsByEingang(eingangId),
				remoteService.getAttachmentsByEingang(eingangId));
	}

	public Stream<OzgFile> getRepresentationsByEingang(String eingangId) {
		return remoteService.getRepresentationsByEingang(eingangId);
	}

	public OzgFileData getOzgFileData(FileId fileId) {
		return remoteService.getOzgFileData(fileId);
	}
}