package de.itvsh.goofy.common.logging;

import org.aspectj.lang.annotation.Pointcut;

public class AspectPointcuts {

	@Pointcut("execution(public * *(..))")
	void anyPublicMethods() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("within(de.itvsh..*)")
	void anythingInKOP() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("anyPublicMethods() && anythingInKOP()")
	void anyPublicMethodInKOP() {
		// aspect pointcut - no implementation needed
	}

	@Pointcut("anyPublicMethodInKOP() && @target(org.springframework.stereotype.Service)")
	void anyPublicServiceMethod() {
		// aspect pointcut - no implementation needed
	}

}
