package de.itvsh.goofy.common.logging;

import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.AfterThrowing;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.springframework.stereotype.Component;

@Aspect
@Component
public class KopLoggingAspect extends AspectPointcuts {

	@Before("anyPublicServiceMethod()")
	public void onServiceMethod(JoinPoint joinPoint) {
		AspectLoggingUtils.log(joinPoint);
	}

	@AfterThrowing(pointcut = "anyPublicServiceMethod()", throwing = "ex")
	public void afterExceptionInServiceMethod(JoinPoint joinPoint, Exception ex) {
		AspectLoggingUtils.logException(joinPoint, ex);
	}

	@AfterReturning(pointcut = "anyPublicServiceMethod()", returning = "returnValue")
	public void afterServiceMethod(JoinPoint joinPoint, Object returnValue) {
		AspectLoggingUtils.logReturnValue(joinPoint, returnValue);
	}
}
