package de.itvsh.goofy.common.user;

import java.util.Collection;
import java.util.Date;

import org.springframework.security.core.GrantedAuthority;

import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder
@Getter
@AllArgsConstructor
public class GoofyUser {

	@JsonIgnore
	private UserId id;
	private String userName;
	private String firstName;
	private String lastName;
	private Date createdAt;
	@Singular
	private Collection<GrantedAuthority> authorities;

	public String getFullName() {
		return String.format("%s %s", firstName, lastName);
	}
}
