package de.itvsh.goofy.common.user;

import java.util.UUID;

import de.itvsh.goofy.common.datatypes.StringBasedValue;
import lombok.AccessLevel;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@NoArgsConstructor(access = AccessLevel.PACKAGE)
@EqualsAndHashCode(callSuper = true)
public class UserId extends StringBasedValue {

	private static final long serialVersionUID = 1L;

	UserId(String userId) {
		super(userId);
	}

	public static UserId from(UUID userId) {
		return UserId.from(userId.toString());
	}

	public static UserId from(String userId) {
		return new UserId(userId);
	}

}
