package de.itvsh.goofy.common.user;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.hateoas.CollectionModel;
import org.springframework.hateoas.EntityModel;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(UserProfileController.BASE_PATH)
public class UserProfileController {

	static final String BASE_PATH = "/api/userProfiles"; // NOSONAR

	static final String PARAM_SEARCH_BY = "searchBy";

	@Autowired
	private UserProfileService service;
	@Autowired
	private UserProfileModelAssembler modelAssembler;

	@GetMapping("{userId}")
	public EntityModel<UserProfile> getUser(@PathVariable UserId userId) {
		return modelAssembler.toModel(service.getUser(userId));
	}

	@GetMapping(params = PARAM_SEARCH_BY)
	public CollectionModel<EntityModel<UserProfile>> findUsers(@RequestParam String searchBy) {
		return modelAssembler.toCollectionModel(service.findUsers(searchBy));
	}
}
