package de.itvsh.goofy.common.user;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import java.util.stream.Collectors;
import java.util.stream.Stream;

import org.springframework.hateoas.CollectionModel;
import org.springframework.hateoas.EntityModel;
import org.springframework.hateoas.server.RepresentationModelAssembler;
import org.springframework.stereotype.Component;

@Component
class UserProfileModelAssembler implements RepresentationModelAssembler<UserProfile, EntityModel<UserProfile>> {

	@Override
	public EntityModel<UserProfile> toModel(UserProfile entity) {
		return EntityModel.of(entity)
				.add(linkTo(UserProfileController.class).slash(entity.getId()).withSelfRel());
	}

	public CollectionModel<EntityModel<UserProfile>> toCollectionModel(Stream<UserProfile> userProfiles) {
		return CollectionModel.of(userProfiles.map(this::toModel).collect(Collectors.toList()))
				.add(linkTo(UserProfileController.class).withSelfRel());
	}

}
