package de.itvsh.goofy.common.user;

import java.util.stream.Stream;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.itvsh.goofy.common.errorhandling.ResourceNotFoundException;

@Service
class UserProfileService {

	static final int DEFAULT_LIMIT = 10;

	@Autowired
	private UserRemoteService userRemoteService;
	@Autowired
	private UserProfileMapper mapper;

	public Stream<UserProfile> findUsers(String searchBy) {
		return userRemoteService.findUserProfile(searchBy, DEFAULT_LIMIT).map(mapper::from);
	}

	public UserProfile getUser(UserId id) {
		return userRemoteService.findUser(id).map(mapper::from)
				.orElseThrow(() -> new ResourceNotFoundException(UserProfile.class, id));
	}
}
