package de.itvsh.goofy.common.user.keycloak;

import org.keycloak.adapters.KeycloakDeployment;
import org.keycloak.adapters.springboot.KeycloakSpringBootConfigResolver;
import org.keycloak.admin.client.Keycloak;
import org.keycloak.admin.client.KeycloakBuilder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
class KeycloakAdminConfiguration {

	private static final String CLIENT = "admin-cli";

	@Autowired
	private KeycloakSpringBootConfigResolver configResolver;
	@Autowired
	private KeycloakAdminProperties adminProperties;

	@Bean
	public KeycloakDeployment keycloakDeployment() {
		return configResolver.resolve(null);
	}

	@Bean
	public Keycloak keycloak() {
		var deployment = this.keycloakDeployment();
		String realm = deployment.getRealm();

		return KeycloakBuilder.builder()
				.serverUrl(deployment.getAuthServerBaseUrl())
				.realm(realm)
				.username(adminProperties.getUser())
				.password(adminProperties.getPassword())
				.clientId(CLIENT)
				.build();
	}
}
