package de.itvsh.goofy.common.user.keycloak;

import java.util.Optional;
import java.util.stream.Stream;

import org.keycloak.adapters.KeycloakDeployment;
import org.keycloak.admin.client.Keycloak;
import org.keycloak.representations.idm.UserRepresentation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.itvsh.goofy.common.user.UserId;

@Service
class KeycloakApiService {

	@Autowired
	private Keycloak keycloak;
	@Autowired
	private KeycloakDeployment deployment;

	public Optional<UserRepresentation> findUser(UserId userId) {
		return Optional.ofNullable(keycloak.realm(deployment.getRealm()).users().get(userId.toString()).toRepresentation());
	}

	public Stream<UserRepresentation> findUserProfile(String searchBy, int limit) {
		return keycloak.realm(deployment.getRealm()).users().search(searchBy, 0, limit).stream();
	}
}
