package de.itvsh.goofy.common.user.keycloak;

import java.util.Optional;
import java.util.stream.Stream;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.itvsh.goofy.common.user.GoofyUser;
import de.itvsh.goofy.common.user.UserId;
import de.itvsh.goofy.common.user.UserRemoteService;

@Service
class KeycloakUserRemoteService implements UserRemoteService {

	@Autowired
	private KeycloakApiService apiService;
	@Autowired
	private UserRepresentationMapper userMapper;

	@Override
	public Optional<GoofyUser> findUser(UserId userId) {
		return apiService.findUser(userId).map(userMapper::toGoofyUser);
	}

	@Override
	public Stream<GoofyUser> findUserProfile(String searchBy, int limit) {
		return apiService.findUserProfile(searchBy, limit).map(userMapper::toGoofyUser);
	}

}
