package de.itvsh.goofy.common.user.keycloak;

import java.util.Date;
import java.util.GregorianCalendar;

import org.keycloak.representations.idm.UserRepresentation;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.ReportingPolicy;

import de.itvsh.goofy.common.user.GoofyUser;
import de.itvsh.goofy.common.user.UserIdMapper;

@Mapper(uses = UserIdMapper.class, unmappedTargetPolicy = ReportingPolicy.WARN)
interface UserRepresentationMapper {

	// TODO map roles
	@Mapping(target = "authorities", ignore = true)
	@Mapping(target = "userName", source = "username")
	@Mapping(target = "createdAt", source = "createdTimestamp")
	GoofyUser toGoofyUser(UserRepresentation userRep);

	default Date map(Long createdAtTimestamp) {
		var calendar = new GregorianCalendar();
		calendar.setTimeInMillis(createdAtTimestamp);

		return calendar.getTime();
	}
}
