package de.itvsh.goofy.kommentar;

import static de.itvsh.goofy.common.ValidationMessageCodes.*;

import java.time.ZonedDateTime;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;

import de.itvsh.goofy.common.LinkedResource;
import de.itvsh.goofy.common.user.UserProfileController;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Getter
@Builder(toBuilder = true)
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PACKAGE)
@ToString
public class Kommentar {

	@JsonIgnore
	private String id;

	@JsonProperty(access = Access.READ_ONLY)
	@LinkedResource(controllerClass = UserProfileController.class)
	private String createdBy;
	@JsonProperty(access = Access.READ_ONLY)
	private String createdByName;
	@JsonProperty(access = Access.READ_ONLY)
	private ZonedDateTime createdAt;

	@NotNull(message = FIELD_IS_EMPTY)
	@Size(min = 1, message = FIELD_SIZE)
	private String text;
}
