package de.itvsh.goofy.kommentar;

import javax.validation.Valid;

import com.fasterxml.jackson.annotation.JsonIgnore;

import de.itvsh.goofy.common.command.CommandOrder;
import de.itvsh.goofy.common.command.CommandStatus;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Builder
@Getter
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PACKAGE)
@EqualsAndHashCode
class KommentarCommand {

	@JsonIgnore
	private String id;

	private CommandOrder order;

	@JsonIgnore
	private CommandStatus status;

	@Valid
	private Kommentar kommentar;
}
