package de.itvsh.goofy.kommentar;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import de.itvsh.goofy.common.command.CommandController;

@RestController
@RequestMapping(KommentarCommandController.KOMMENTAR_COMMANDS)
public class KommentarCommandController {

	static final String KOMMENTAR_COMMANDS = "/api/kommentars/{kommentarId}/commands";

	@Autowired
	private KommentarService service;

	@PostMapping
	public ResponseEntity<Void> createCommand(@RequestBody KommentarCommand command, @PathVariable String kommentarId) {
		return buildResponseLink(service.createCommand(kommentarId, command));
	}

	private ResponseEntity<Void> buildResponseLink(KommentarCommand createdKommentarCommand) {
		return ResponseEntity.created(linkTo(CommandController.class).slash(createdKommentarCommand.getId()).toUri()).build();
	}

	@RestController
	@RequestMapping(KommentarCommandByVorgangController.KOMMENTAR_COMMANDS_BY_VORGANG)
	public static class KommentarCommandByVorgangController {

		static final String KOMMENTAR_COMMANDS_BY_VORGANG = "/api/vorgangs/{vorgangId}/kommentarCommands";

		@Autowired
		private KommentarService service;

		@PostMapping()
		public ResponseEntity<Void> createCommand(@RequestBody KommentarCommand command, @PathVariable String vorgangId) {
			var created = service.createCommand(vorgangId, command);

			return ResponseEntity.created(linkTo(CommandController.class).slash(created.getId()).toUri()).build();
		}
	}
}
