package de.itvsh.goofy.kommentar;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.hateoas.CollectionModel;
import org.springframework.hateoas.EntityModel;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(KommentarController.KOMMENTAR_PATH)
public class KommentarController {

	static final String KOMMENTAR_PATH = "/api/kommentars"; // NOSONAR

	@Autowired
	private KommentarService service;

	@Autowired
	private KommentarModelAssembler modelAssembler;

	@GetMapping("/{kommentarId}")
	public EntityModel<Kommentar> getById(@PathVariable String kommentarId) {
		return modelAssembler.toModel(service.getById(kommentarId));
	}

	@RestController
	@RequestMapping(KommentarByVorgangController.KOMMENTAR_BY_VORGANG_PATH)
	public static class KommentarByVorgangController {

		static final String KOMMENTAR_BY_VORGANG_PATH = "/api/vorgangs/{vorgangId}/kommentars"; // NOSONAR

		@Autowired
		private KommentarService service;

		@Autowired
		private KommentarModelAssembler modelAssembler;

		@GetMapping
		public CollectionModel<EntityModel<Kommentar>> getAll(@PathVariable String vorgangId) {
			return modelAssembler.toCollectionModel(service.findByVorgangId(vorgangId), vorgangId);
		}
	}
}
