package de.itvsh.goofy.kommentar;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingConstants;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.ValueMapping;

import de.itvsh.goofy.common.IgnoreGrpcFields;
import de.itvsh.ozg.pluto.grpc.command.GrpcCommand;
import de.itvsh.ozg.pluto.kommentar.GrpcKommentar;

@Mapper(unmappedTargetPolicy = ReportingPolicy.ERROR, nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface KommentarMapper {

	@Mapping(target = "textBytes", ignore = true)
	@IgnoreGrpcFields
	GrpcKommentar toGrpcKommentar(Kommentar kommentar);

	Kommentar toKommentar(GrpcKommentar grpcKommentar);

	@Mapping(target = "kommentar", ignore = true)
	@ValueMapping(source = "UNRECOGNIZED", target = MappingConstants.NULL)
	@ValueMapping(source = "UNDEFINED", target = MappingConstants.NULL)
	KommentarCommand toKommentarCommand(GrpcCommand command);
}
