package de.itvsh.goofy.kommentar;

import java.util.Comparator;
import java.util.stream.Stream;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

@Service
@Validated
class KommentarService {

	@Autowired
	private KommentarRemoteService remoteService;

	public Stream<Kommentar> findByVorgangId(String vorgangId) {
		return remoteService.findByVorgangId(vorgangId).sorted(Comparator.comparing(Kommentar::getCreatedAt).reversed());
	}

	public Kommentar getById(String kommentarId) {
		return remoteService.getById(kommentarId);
	}

	public KommentarCommand createCommand(String relationId, @Valid KommentarCommand command) {
		return remoteService.sendKommentarCommand(relationId, command);
	}
}
