package de.itvsh.goofy.vorgang;

import static de.itvsh.goofy.common.ValidationMessageCodes.*;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Builder
@Getter
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PUBLIC)
@ToString
public class RedirectRequest {

	@Email(message = FIELD_INVALID)
	@NotEmpty(message = FIELD_IS_EMPTY)
	private String email;

	@Size(min = 8, message = FIELD_SIZE)
	@NotEmpty(message = FIELD_IS_EMPTY)
	@JsonProperty(access = Access.WRITE_ONLY)
	private String password;
}