package de.itvsh.goofy.vorgang;

import java.time.LocalDate;
import java.time.ZonedDateTime;
import java.util.Optional;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;

import de.itvsh.goofy.common.LinkedResource;
import de.itvsh.goofy.common.user.UserId;
import de.itvsh.goofy.common.user.UserProfileController;
import lombok.Builder;
import lombok.Getter;
import lombok.With;

@Getter
@Builder
class VorgangHeader implements Vorgang {

	@JsonIgnore
	private String id;
	@JsonIgnore
	private long version;

	@LinkedResource(controllerClass = UserProfileController.class)
	private UserId assignedTo;

	private String name;
	private VorgangStatus status;
	private ZonedDateTime createdAt;
	private String aktenzeichen;

	@With
	@JsonProperty(access = Access.READ_ONLY)
	private Optional<LocalDate> nextFrist;
}
