package de.itvsh.goofy.vorgang;

import java.time.ZonedDateTime;

import com.fasterxml.jackson.annotation.JsonIgnore;

import de.itvsh.goofy.common.LinkedResource;
import de.itvsh.goofy.common.user.UserId;
import de.itvsh.goofy.common.user.UserProfileController;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
public class VorgangWithEingang implements Vorgang {

	@JsonIgnore
	private String id;
	@JsonIgnore
	private long version;

	@LinkedResource(controllerClass = UserProfileController.class)
	private UserId assignedTo;

	private String name;
	private VorgangStatus status;
	private ZonedDateTime createdAt;
	private String aktenzeichen;

	private Eingang eingang;
}