package de.itvsh.goofy.vorgang.forwarding;

import java.util.stream.Stream;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.itvsh.goofy.common.ContextService;
import de.itvsh.ozg.pluto.forwarding.ForwardingServiceGrpc.ForwardingServiceBlockingStub;
import de.itvsh.ozg.pluto.forwarding.GrpcFindForwardingsRequest;
import net.devh.boot.grpc.client.inject.GrpcClient;

@Service
public class ForwardingRemoteService {

	@GrpcClient("pluto")
	private ForwardingServiceBlockingStub serviceStub;

	@Autowired
	private ForwardingMapper mapper;

	@Autowired
	private ContextService contextService;

	public Stream<Forwarding> findForwardings(String vorgangId) {
		var response = serviceStub.findForwardings(buildFindForwardingsRequest(vorgangId));

		return response.getForwardingsList().stream().map(mapper::fromGrpc);
	}

	private GrpcFindForwardingsRequest buildFindForwardingsRequest(String vorgangId) {
		return GrpcFindForwardingsRequest.newBuilder()
				.setContext(contextService.createCallContext())
				.setVorgangId(vorgangId)
				.build();
	}
}
