package de.itvsh.goofy.wiedervorlage;

import java.util.Comparator;
import java.util.Optional;
import java.util.stream.Stream;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

@Service
@Validated
class WiedervorlageService {

	@Autowired
	private WiedervorlageRemoteService remoteService;

	public Stream<Wiedervorlage> findByVorgangId(String vorgangId) {
		return remoteService.findByVorgangId(vorgangId);
	}

	public Wiedervorlage getById(String wiedervorlageId) {
		return remoteService.getById(wiedervorlageId);
	}

	public WiedervorlageCommand createCreateCommand(String vorgangId, @Valid WiedervorlageCommand command) {
		return remoteService.sendCreateWiedervorlageCommand(vorgangId, command);
	}

	public WiedervorlageCommand createCommand(String wiedervorlageId, @Valid WiedervorlageCommand command) {
		return remoteService.sendWiedervorlageCommand(wiedervorlageId, command);
	}

	public Optional<Wiedervorlage> findWithNextFrist(String vorgangId) {
		return findByVorgangId(vorgangId).sorted(Comparator.comparing(Wiedervorlage::getFrist)).findFirst();
	}
}