package de.itvsh.goofy;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.keycloak.adapters.springboot.KeycloakSpringBootProperties;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;

class EnvironmentControllerTest {

	private final String PATH = "/api/environment";

	@InjectMocks
	private EnvironmentController controller;
	@Mock
	private KeycloakSpringBootProperties kcProperties;

	private MockMvc mockMvc;

	@BeforeEach
	void initTest() {
		mockMvc = MockMvcBuilders.standaloneSetup(controller).build();
	}

	@Test
	void loadEnvironment() throws Exception {
		mockMvc.perform(get(PATH)).andExpect(status().isOk());
	}

	@Test
	void shouldHaveProductionTrueAsDefault() throws Exception {
		mockMvc.perform(get(PATH)).andExpect(status().is2xxSuccessful())//
				.andExpect(jsonPath("$.production").value(true));
	}
}