package de.itvsh.goofy;

import java.io.IOException;
import java.io.InputStream;
import java.util.Objects;
import java.util.function.Consumer;

import org.apache.commons.io.IOUtils;

public class TestUtils {

	public static final Consumer<Object> DUMMY_CONSUMER = t -> {
	};

	private TestUtils() {
	}

	public static InputStream loadFile(final String fileName) {
		InputStream stream = TestUtils.class.getClassLoader().getResourceAsStream(fileName);
		if (stream == null) {
			throw new RuntimeException("File '" + fileName + "' not found."); // NOSONAR
		}
		return stream;
	}

	public static String loadTextFile(final String fileName) {
		try {
			return IOUtils.toString(loadFile(fileName), "UTF-8");
		} catch (IOException e) {
			throw new RuntimeException(e); // NOSONAR
		}
	}

	public static String loadTextFile(final String fileName, final String... args) {
		return String.format(loadTextFile(fileName), (Object[]) args);
	}

	public static String addQuote(String str) {
		return Objects.isNull(str) ? "null" : String.format("\"%s\"", str);
	}
}
