package de.itvsh.goofy.binary;

import static org.assertj.core.api.Assertions.*;

import java.util.stream.Stream;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.springframework.hateoas.IanaLinkRelations;

import de.itvsh.goofy.common.file.OzgFileTestFactory;

class BinaryFileModelAssemblerTest {

	@InjectMocks // NOSONAR
	private BinaryFileModelAssembler assembler;

	@Nested
	class TestLinksOnModel {

		@Test
		void shouldHaveSelfLink() {
			var link = assembler.toModel(OzgFileTestFactory.create()).getLink(IanaLinkRelations.SELF_VALUE);

			assertThat(link).isPresent();
			assertThat(link.get().getHref()).isEqualTo(BinaryFileController.PATH + "/" + OzgFileTestFactory.ID);
		}

		@Test
		void shouldHaveDownloadLink() {
			var link = assembler.toModel(OzgFileTestFactory.create()).getLink(BinaryFileModelAssembler.REL_DOWNLOAD);

			assertThat(link).isPresent();
			assertThat(link.get().getHref()).isEqualTo(BinaryFileController.PATH + "/" + OzgFileTestFactory.ID);
		}
	}

	@Nested
	class TestLinksOnCollectionModel {

		@Test
		void shouldHaveSelfLink() {
			var link = assembler.toCollectionModel(Stream.of(OzgFileTestFactory.create())).getLink(IanaLinkRelations.SELF_VALUE);

			assertThat(link).isPresent();
			assertThat(link.get().getHref()).isEqualTo(BinaryFileController.PATH);
		}
	}
}