package de.itvsh.goofy.binary;

import static org.mockito.Mockito.*;

import java.util.List;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import de.itvsh.goofy.common.file.OzgFileData;
import de.itvsh.goofy.common.file.OzgFileDataTestFactory;
import de.itvsh.goofy.vorgang.VorgangHeaderTestFactory;

class BinaryFileServiceTest {

	@InjectMocks
	private BinaryFileService service;

	@Mock
	private BinaryFileRemoteService remoteService;

	@Nested
	class TestUploadFile {

		private OzgFileData ozgFileData = OzgFileDataTestFactory.create();

		@Test
		void shouldCallRemoteService() {
			service.uploadFile(VorgangHeaderTestFactory.ID, BinaryFileTestFactory.FIELD_NAME, ozgFileData);

			verify(remoteService).uploadFile(VorgangHeaderTestFactory.ID, BinaryFileTestFactory.FIELD_NAME, ozgFileData);
		}
	}

	@Nested
	class TestGetFile {

		@Test
		void shouldCallRemoteService() {
			service.getFile(BinaryFileTestFactory.FILE_ID);

			verify(remoteService).getFile(BinaryFileTestFactory.FILE_ID);
		}
	}

	@Nested
	class TestGetFiles {

		@Test
		void shouldCallRemotService() {
			var fileIds = List.of(BinaryFileTestFactory.FILE_ID);

			service.getFiles(fileIds);

			verify(remoteService).getFiles(fileIds);
		}
	}
}