package de.itvsh.goofy.binary;

import java.util.UUID;

import org.springframework.mock.web.MockMultipartFile;

import de.itvsh.goofy.common.GrpcCallContextTestFactory;
import de.itvsh.goofy.common.file.GrpcOzgFileDataTestFactory;
import de.itvsh.goofy.common.file.GrpcOzgFileTestFactory;
import de.itvsh.goofy.vorgang.VorgangHeaderTestFactory;
import de.itvsh.ozg.pluto.grpc.binaryFile.GrpcBinaryFileDataResponse;
import de.itvsh.ozg.pluto.grpc.binaryFile.GrpcFindFilesResponse;
import de.itvsh.ozg.pluto.grpc.binaryFile.GrpcUploadRequest;
import de.itvsh.ozg.pluto.grpc.binaryFile.GrpcUploadResponse;

public class BinaryFileTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final FileId FILE_ID = FileId.from(ID);
	public static final String NAME = "TestFile";
	public static final String CONTENT_TYPE = "application/image";
	public static final byte[] DATA = "juhu, ein bild".getBytes();
	public static final MockMultipartFile TEST_FILE = new MockMultipartFile("file", NAME, CONTENT_TYPE, DATA);
	public static final long SIZE = TEST_FILE.getSize();

	public static final String FIELD_NAME = "attachment";
	public static final String VORGANG_ID = VorgangHeaderTestFactory.ID;

	public static GrpcUploadRequest createFileUploadRequest() {
		return GrpcUploadRequest.newBuilder().setContext(GrpcCallContextTestFactory.create())
				.setFieldName(FIELD_NAME)
				.setVorgangId(VORGANG_ID)
				.build();
	}

	public static GrpcUploadResponse createFileUploadReponse() {
		return GrpcUploadResponse.newBuilder().setFileId(BinaryFileTestFactory.ID).build();
	}

	public static GrpcFindFilesResponse createFindBinaryFilesResponse() {
		return GrpcFindFilesResponse.newBuilder().addFile(GrpcOzgFileTestFactory.create()).build();
	}

	public static GrpcBinaryFileDataResponse createBinaryFileDataResponse() {
		return GrpcBinaryFileDataResponse.newBuilder().setData(GrpcOzgFileDataTestFactory.create()).build();
	}
}