package de.itvsh.goofy.common.command;

import static de.itvsh.goofy.TestUtils.*;

import java.util.UUID;

import de.itvsh.goofy.TestUtils;
import de.itvsh.goofy.vorgang.VorgangHeaderTestFactory;
import de.itvsh.goofy.vorgang.forwarding.ForwardingTestFactory;

public class CommandTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String VORGANG_ID = VorgangHeaderTestFactory.ID;
	public static final CommandOrder ORDER = CommandOrder.VORGANG_ANNEHMEN;

	public static final String RELATION_ID = ForwardingTestFactory.ID;
	public static final long VERSION = VorgangHeaderTestFactory.VERSION;

	public static Command create() {
		return createBuilder().build();
	}

	public static Command.CommandBuilder createBuilder() {
		return Command.builder()
				.id(ID)
				.vorgangId(VORGANG_ID)
				.relationId(RELATION_ID)
				.order(ORDER);
	}

	public static CreateCommand createCreateCommand() {
		return createCreateCommandBuilder().build();
	}

	public static CreateCommand.CreateCommandBuilder createCreateCommandBuilder() {
		return CreateCommand.builder()
				.vorgangId(VORGANG_ID)
				.relationId(RELATION_ID)
				.order(ORDER);
	}

	public static String createRedirectRequestContent(CreateCommand command) {
		return TestUtils.loadTextFile("jsonTemplates/command/createCommandWithRedirectRequest.json.tmpl",
				command.getOrder().name(),
				addQuote(command.getRedirectRequest().getEmail()),
				addQuote(command.getRedirectRequest().getPassword()));
	}

}