package de.itvsh.goofy.common.command;

import de.itvsh.ozg.pluto.grpc.command.GrpcCommand;
import de.itvsh.ozg.pluto.grpc.command.GrpcCommandResponse;

public class GrpcCommandResponseTestFactory {

	public static final String COMMAND_ID = CommandTestFactory.ID;
	public static final CommandStatus COMMAND_STATUS = CommandStatus.PENDING;

	public static GrpcCommandResponse create() {
		return createBuilder().build();
	}

	public static GrpcCommandResponse.Builder createBuilder() {
		return GrpcCommandResponse.newBuilder()
				.setCommand(createGrpcCommand());
	}

	public static GrpcCommand createGrpcCommand() {
		return GrpcCommand.newBuilder()
				.setId(COMMAND_ID)
				.setStatus(COMMAND_STATUS.name())
				.build();
	}
}
