package de.itvsh.goofy.common.file;

import com.google.protobuf.ByteString;

import de.itvsh.ozg.pluto.grpc.file.GrpcGetOzgFileDataRequest;
import de.itvsh.ozg.pluto.grpc.file.GrpcGetOzgFileDataResponse;
import de.itvsh.ozg.pluto.grpc.file.GrpcOzgFileData;

public class GrpcOzgFileDataTestFactory {

	public static final String FILE_ID = GrpcOzgFileTestFactory.ID;
	static final ByteString CONTENT = OzgFileDataTestFactory.CONTENT;
	static final String NAME = OzgFileDataTestFactory.NAME;
	static final String CONTENT_TYPE = OzgFileDataTestFactory.CONTENT_TYPE_STR;
	static final long SIZE = OzgFileDataTestFactory.SIZE;

	static final GrpcOzgFileData FILE_DATA = GrpcOzgFileDataTestFactory.create();

	public static GrpcOzgFileData create() {
		return createBuilder().build();
	}

	public static GrpcOzgFileData.Builder createBuilder() {
		return GrpcOzgFileData.newBuilder()
				.setName(NAME)
				.setContentType(CONTENT_TYPE)
				.setSize(SIZE)
				.setContent(CONTENT);
	}

	public static GrpcGetOzgFileDataRequest createRequest() {
		return createRequestBuilder().build();
	}

	public static GrpcGetOzgFileDataRequest.Builder createRequestBuilder() {
		return GrpcGetOzgFileDataRequest.newBuilder()
				.setFileId(FILE_ID);
	}

	public static GrpcGetOzgFileDataResponse createReponse() {
		return createResponseBuilder().build();
	}

	public static GrpcGetOzgFileDataResponse.Builder createResponseBuilder() {
		return GrpcGetOzgFileDataResponse.newBuilder()
				.setFileData(FILE_DATA);
	}
}
