package de.itvsh.goofy.common.file;

import static org.assertj.core.api.Assertions.*;

import java.util.Optional;

import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.springframework.hateoas.Link;
import org.springframework.hateoas.LinkRelation;
import org.springframework.hateoas.server.EntityLinks;

class OzgFileModelAssemblerTest {

	private final String PATH = OzgFileDataController.OZG_FILE_PATH + "/";

	@InjectMocks
	private OzgFileModelAssembler modelAssembler;
	@Mock
	private EntityLinks entityLinks;

	@Test
	void shouldHaveDownloadLink() throws Exception {
		var link = getLinkFromModel(OzgFileTestFactory.create(), OzgFileModelAssembler.REL_DOWNLOAD);

		assertThat(link).isPresent();
		assertThat(link.get().getHref()).isEqualTo(PATH + OzgFileTestFactory.ID);
	}

	private Optional<Link> getLinkFromModel(OzgFile file, LinkRelation linkRel) {
		return modelAssembler.toModel(file).getLink(linkRel);
	}
}