package de.itvsh.goofy.common.file;

import static org.mockito.Mockito.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import de.itvsh.goofy.vorgang.EingangTestFactory;

class OzgFileServiceTest {

	@InjectMocks
	private OzgFileService service;
	@Mock
	private OzgFileRemoteService remoteService;

	@Nested
	class TestGetAttachmentsByEingang {

		@Test
		void shouldCallRemoteService() {
			service.getAttachmentsByEingang(EingangTestFactory.ID);

			verify(remoteService).getAttachmentsByEingang(EingangTestFactory.ID);
		}
	}

	@Nested
	class TestGetRepresentationsByEingang {

		@Test
		void shouldCallRemoteService() {
			service.getRepresentationsByEingang(EingangTestFactory.ID);

			verify(remoteService).getRepresentationsByEingang(EingangTestFactory.ID);
		}
	}

	@Nested
	class TestGetOzgFileData {

		@Test
		void shouldCallRemoteService() {
			service.getOzgFileData(OzgFileTestFactory.ID);

			verify(remoteService).getOzgFileData(OzgFileTestFactory.ID);
		}
	}
}