package de.itvsh.goofy.common.user;

import static org.assertj.core.api.Assertions.*;

import java.util.stream.Stream;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.springframework.hateoas.IanaLinkRelations;
import org.springframework.hateoas.Link;

class UserProfileModelAssemblerTest {

	@InjectMocks
	private UserProfileModelAssembler modelAssembler;

	@Nested
	class ToModelTest {

		@Test
		void shouldHaveSelfLink() {
			var model = modelAssembler.toModel(UserProfileTestFactory.create());

			assertThat(model.getLink(IanaLinkRelations.SELF)).isPresent().get().extracting(Link::getHref)
					.isEqualTo(UserProfileController.BASE_PATH + "/" + UserProfileTestFactory.ID);
		}
	}

	@Nested
	class ToCollectionModelTest {

		private Stream<UserProfile> profiles = Stream.of(UserProfileTestFactory.create());

		@Test
		void shouldHaveSelfLink() {
			var model = modelAssembler.toCollectionModel(profiles);

			assertThat(model.getLink(IanaLinkRelations.SELF)).isPresent().get().extracting(Link::getHref)
					.isEqualTo(UserProfileController.BASE_PATH);
		}
	}
}
