package de.itvsh.goofy.common.user;

import java.util.Collections;
import java.util.UUID;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;

public class UserTestFactory {

	public static final UserId ID = UserId.from(UUID.randomUUID().toString());
	public static final String FIRSTNAME = "Theo";
	public static final String LASTNAME = "Test";
	public static final String FULLNAME = String.format("%s %s", FIRSTNAME, LASTNAME);
	public static final String ROLE = "TEST_USER";
	public static final GrantedAuthority AUTHORITY = new SimpleGrantedAuthority(ROLE);

	public static GoofyUser create() {
		return createBuilder().build();
	}

	public static GoofyUser.GoofyUserBuilder createBuilder() {
		return GoofyUser.builder()
				.id(ID)
				.firstName(FIRSTNAME)
				.lastName(LASTNAME)
				.authorities(Collections.singleton(AUTHORITY));
	}
}
