package de.itvsh.goofy.common.user.keycloak;

import static org.assertj.core.api.Assertions.*;

import java.util.List;

import org.junit.jupiter.api.Test;
import org.keycloak.admin.client.Keycloak;
import org.keycloak.representations.idm.UserRepresentation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

@SpringBootTest
@ActiveProfiles("remotekc")
class KeycloakApiFunctionalITCase {

	private static final String REALM = "sh-kiel-dev";
	private static final String TEST_USER_NAME = "beate";

	@Autowired
	private Keycloak keycloak;

	@Test
	void shouldFindTestUser() {
		List<UserRepresentation> users = keycloak.realm(REALM).users().search(TEST_USER_NAME);

		assertThat(users).hasSize(1);
	}

	@Test
	void shouldFindTestUserByPartialName() {
		List<UserRepresentation> users = keycloak.realm(REALM).users().search(TEST_USER_NAME.substring(1, 4));

		assertThat(users).hasSize(1);
	}

}
