package de.itvsh.goofy.kommentar;

import java.util.Objects;

import de.itvsh.goofy.TestUtils;
import de.itvsh.goofy.common.command.CommandOrder;
import de.itvsh.goofy.common.command.CommandTestFactory;

public class KommentarCommandTestFactory {

	public static final String ID = CommandTestFactory.ID;
	public static final CommandOrder ORDER = CommandOrder.CREATE_KOMMENTAR;

	public static KommentarCommand create() {
		return createBuilder().build();
	}

	public static KommentarCommand.KommentarCommandBuilder createBuilder() {
		return KommentarCommand.builder()
				.id(ID)
				.order(ORDER)
				.kommentar(KommentarTestFactory.create());
	}

	public static String createValidRequestContent() {
		return createRequestContent(create());
	}

	public static String createRequestContent(KommentarCommand command) {
		return TestUtils.loadTextFile("jsonTemplates/command/createCommandWithKommentar.json.tmpl",
				command.getOrder().name(),
				addTuedelchen(command.getKommentar().getText()));
	}

	private static String addTuedelchen(String str) {
		return Objects.isNull(str) ? null : String.format("\"%s\"", str);
	}
}
