package de.itvsh.goofy.kommentar;

import java.time.ZonedDateTime;
import java.util.UUID;

import com.thedeanda.lorem.Lorem;
import com.thedeanda.lorem.LoremIpsum;

import de.itvsh.goofy.common.user.UserProfileTestFactory;

public class KommentarTestFactory {

	private static Lorem lorem = LoremIpsum.getInstance();

	public static final String ID = UUID.randomUUID().toString();

	public static final String CREATED_BY = UserProfileTestFactory.ID.toString();
	public static final String CREATED_BY_NAME = lorem.getName();
	public static final String CREATED_AT_STR = "2021-01-10T10:30:00Z";
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);

	public static final String TEXT = lorem.getWords(15);

	public static Kommentar create() {
		return createBuilder().build();
	}

	public static Kommentar.KommentarBuilder createBuilder() {
		return Kommentar.builder()
				.id(ID)
				.text(TEXT)
				.createdBy(CREATED_BY)
				.createdByName(CREATED_BY_NAME)
				.createdAt(CREATED_AT);
	}
}
