package de.itvsh.goofy.vorgang;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import de.itvsh.ozg.pluto.vorgang.GrpcAntragsteller;

class AntragstellerMapperTest {

	final static AntragstellerMapper mapper = Mappers.getMapper(AntragstellerMapper.class);

	@Test
	void shouldMap() {
		GrpcAntragsteller grpcAntragsteller = GrpcAntragstellerTestFactory.create();

		var antragsteller = mapper.toAntragsteller(grpcAntragsteller);

		assertThat(antragsteller.getEmail()).isEqualTo(GrpcAntragstellerTestFactory.EMAIL);
		assertThat(antragsteller.getAnrede()).isEqualTo(GrpcAntragstellerTestFactory.ANREDE);
		assertThat(antragsteller.getNachname()).isEqualTo(GrpcAntragstellerTestFactory.NACHNAME);
		assertThat(antragsteller.getVorname()).isEqualTo(GrpcAntragstellerTestFactory.VORNAME);
		assertThat(antragsteller.getGeburtsdatum()).isEqualTo(GrpcAntragstellerTestFactory.GEBURTSDATUM_STR);
		assertThat(antragsteller.getGeburtsname()).isEqualTo(GrpcAntragstellerTestFactory.GEBURTSNAME);
		assertThat(antragsteller.getGeburtsort()).isEqualTo(GrpcAntragstellerTestFactory.GEBURTSORT);
	}
}
