package de.itvsh.goofy.vorgang;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

import de.itvsh.ozg.pluto.vorgang.GrpcEingangHeader;

public class EingangHeaderMapperTest {

	private EingangHeaderMapper mapper = Mappers.getMapper(EingangHeaderMapper.class);

	@Nested
	class TestGrpcEingangHeaderToGoofyEingangHeader {

		@Test
		void shouldMapCreatedAt() {
			GrpcEingangHeader grpcEingangHeader = GrpcEingangHeaderTestFactory.create();

			var eingang = mapper.toEingangHeader(grpcEingangHeader);

			assertThat(eingang.getCreatedAt()).isEqualTo(GrpcEingangHeaderTestFactory.CREATED_AT);
		}
	}
}
