package de.itvsh.goofy.vorgang;

import java.util.Map;
import java.util.UUID;

public class EingangTestFactory {

	public static final String ID = UUID.randomUUID().toString();

	public static final String SINGLE_FIELD_NAME = "name";
	public static final String SINGLE_FIELD_VALUE = "Thea";
	public static final String NUMERIC_FIELD_NAME = "alter";
	public static final Integer NUMERIC_FIELD_VALUE = 42;

	public static final String SUBFORM_FIELD_NAME = "E-Mail";
	public static final String SUBFORM_FIELD_VALUE = "thea@burger-portal.sh.de";
	public static final String SUBFORM_NAME = "kontakt";
	public static final Map<String, Object> SUBFORM = Map.of(SUBFORM_FIELD_NAME, SUBFORM_FIELD_VALUE);

	public static Eingang create() {
		return createBuilder().build();
	}

	public static Eingang.EingangBuilder createBuilder() {
		return Eingang.builder()
				.id(ID)
				.antragsteller(AntragstellerTestFactory.create())
				.header(EingangHeaderTestFactory.create())
				.formData(Map.of(SINGLE_FIELD_NAME, SINGLE_FIELD_VALUE,
						NUMERIC_FIELD_NAME, NUMERIC_FIELD_VALUE,
						SUBFORM_NAME, SUBFORM));
	}
}