package de.itvsh.goofy.vorgang;

import java.time.ZonedDateTime;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.itvsh.ozg.pluto.vorgang.GrpcEingangHeader;

public class GrpcEingangHeaderTestFactory {

	private final static String REQUEST_ID = UUID.randomUUID().toString();
	private final static String CREATED_AT_STR = "2021-01-10T10:30:00Z";
	public final static ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);
	private final static String FORM_ID = UUID.randomUUID().toString();
	public final static String FORM_NAME = LoremIpsum.getInstance().getWords(1);
	private final static String SENDER = LoremIpsum.getInstance().getName();
	private final static String CUSTOMER = LoremIpsum.getInstance().getName();
	private final static String CUSTOMER_ID = UUID.randomUUID().toString();
	private final static String CLIENT = LoremIpsum.getInstance().getName();
	private final static String CLIENT_ID = UUID.randomUUID().toString();

	public static GrpcEingangHeader create() {
		return createBuilder().build();
	}

	public static GrpcEingangHeader.Builder createBuilder() {
		return GrpcEingangHeader.newBuilder()
				.setRequestId(REQUEST_ID)
				.setCreatedAt(CREATED_AT_STR)
				.setFormId(FORM_ID)
				.setFormName(FORM_NAME)
				.setSender(SENDER)
				.setCustomer(CUSTOMER)
				.setCustomerId(CUSTOMER_ID)
				.setClient(CLIENT)
				.setClientId(CLIENT_ID);
	}
}