package de.itvsh.goofy.vorgang;

import java.util.UUID;

import de.itvsh.ozg.pluto.vorgang.GrpcEingang;
import de.itvsh.ozg.pluto.vorgang.GrpcFormData;
import de.itvsh.ozg.pluto.vorgang.GrpcSubForm;

public class GrpcEingangTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final GrpcSubForm SUB_FORM = GrpcSubFormTestFactory.create();

	public static GrpcEingang create() {
		return createBuilder().build();
	}

	public static GrpcEingang.Builder createBuilder() {
		return GrpcEingang.newBuilder()
				.setId(ID)
				.setHeader(GrpcEingangHeaderTestFactory.create())
				.setAntragsteller(GrpcAntragstellerTestFactory.create())
				.setFormData(GrpcFormData.newBuilder().addForm(GrpcSubFormTestFactory.create()).build());
	}
}