package de.itvsh.goofy.vorgang;

import java.time.LocalDateTime;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.itvsh.ozg.pluto.vorgang.GrpcFindVorgangResponse;
import de.itvsh.ozg.pluto.vorgang.GrpcVorgangHeader;

public class GrpcVorgangTestFactory {

	private static final int TOTAL = 100;

	private static final String ID = UUID.randomUUID().toString();
	private static final String NAME = LoremIpsum.getInstance().getWords(10);
	private static final String CREATED_AT = LocalDateTime.now().toString();
	private static final String STATUS = "NEU";

	public static GrpcFindVorgangResponse createVorgangResponse() {
		return createVorgangResponseBuilder().build();
	}

	private static GrpcFindVorgangResponse.Builder createVorgangResponseBuilder() {
		return GrpcFindVorgangResponse.newBuilder()
				.setTotal(TOTAL)
				.addVorgang(create());
	}

	private static GrpcVorgangHeader create() {
		return createBuilder().build();
	}

	private static GrpcVorgangHeader.Builder createBuilder() {
		return GrpcVorgangHeader.newBuilder()
				.setId(ID)
				.setName(NAME)
				.setCreatedAt(CREATED_AT)
				.setStatus(STATUS);
	}
}